详细更新请看英文changelog.txt
=============================
测试版   [20111110]
    界面修正：任务列表切换任务时，任务日志窗口个别情况下引发内存访问冲突
    界面修正：任务下载完成后的hash检查完成时，个别情况下会出现内存访问冲突
    界面修正：种子存档里的查看任务操作失效
    界面修正：多处显示刷新问题
    核心改进：支持分块大小不是16KB整倍数的torrent

测试版   [20111107]
    界面改进：精简界面代码，缩减程序大小
    界面改进：任务列表工具栏添加VIP下载列表按钮
    界面改进：任务列表不允许隐藏标题列
    界面改进：查看菜单新增查找任务命令(Ctrl+F)
    界面改进：文件列表增加简单列表、树状列表切换，使用右键菜单切换
    界面改进：文件列表显示为树状列表时，即使torrent中的文件没有按目录排列也能正确显示
    核心改进：支持 Firefox 7
    核心改进：打开torrent的文件大小上限改为10MB

v1.29    2011.09.23
    界面改进：生成piece_part文件时间过长导致界面失去响应时，显示提示信息
    界面改进：BT任务属性高级页面增加新选项：忽略任务做种规则，保持一直运行
    界面改进：BT任务摘要窗口可用来源右侧显示的健康度改为可用来源比例
    界面改进：BT任务摘要窗口的下载数据统计增加VIP来源
    界面改进：点击任务完成提示框，在任务列表中选中下载完成的任务
    界面修正：任务列表按下载大小、上传大小排序失效
    界面修正：使用Tracker列表关联菜单删除服务器后，没有存盘
    核心改进：Web种子支持无断点续传的HTTP服务器
    核心改进：改进长效种子连接请求算法，减少不必要的连接数量
    核心改进：匿名下载的任务禁用电驴插件
    核心改进：支持火狐6
    核心修正：文件数量过多的torrent下载任务VIP加速失效
    核心修正：存在等待上传的排队任务时，全部任务下载完成后无法自动关机

v1.28    2011.06.28
    界面改进：VIP会员下载窗口合并入BT任务属性对话框
    界面改进：BT任务属性对话框VIP加速选项卡新选项：匿名下载
    界面改进：任务列表VIP图标增加匿名下载状态
    界面改进：恢复左侧收藏夹里彗星书签的功能
    界面改进：记住任务属性对话框的大小及位置
    界面改进：任务列表增加"文件夹"和"私有种子"列，默认不显示
    界面改进：在访问网络共享文件夹导致界面失去响应时，显示提示气泡
    界面改进：32/64位版程序分别使用各自的安装包
    界面改进：自动更新区分32/64位版
    界面改进：界面语言列表使用Windows提供的各语言名称
    界面改进：主菜单及悬浮窗右键菜单添加图标显示
    界面改进：程序正在退出时立即启动BitComet，会显示提示气泡
    界面改进：Win 7 下点击主窗口最小化按钮的默认行为改为最小化到任务栏
    界面改进：种子市场他人共享列表去掉自动更新选项，新得到的种子文件直接附加到列表下方显示
    界面改进：种子市场他人共享列表达到最大显示数量后，显示提示信息栏
    界面改进：种子市场他人共享列表增加了删除操作
    界面改进：种子市场他人共享列表读取种子信息采用异步方式，减少列表加载时间
    界面改进：种子市场他人共享列表排序时间过长导致界面失去响应时，显示提示气泡
    界面改进：任务列表右键菜单属性命令添加图标
    界面改进：改进系统托盘图标和悬浮窗在鼠标悬浮时显示的任务列表缩略图
    界面改进：种子市场和种子存档“详细信息”标签右键菜单增加“恢复默认布局”
    界面改进：查看菜单"显示详细信息" 选项对种子市场和种子存档也有效
    界面改进：全局统计显示进程剩余内存大小
    界面修正：查看菜单里的显示工具栏及显示状态栏设置重启程序后没有记住
    界面修正：从 Firefox 4 添加 HTTP 下载时，读取 cookie 失败
    界面修正：支持大小超过 4G 的文件保存在 HFS+/HFSJ/HFSX 分区
    界面修正：v1.27 在 Win2000 下无法启动
    界面修正：在某些显示设置下时段限速设置页面里的星期文字显示错位
    界面修正：在英文XP下批量添加中文文件名的torrent文件会失败
    核心改进：支持匿名下载，不用连接tracker及BT用户即可下载BT任务，保护用户隐私
    核心改进：更新BT客户端识别代码
    核心修正：个别情况下内存访问冲突导致程序崩溃

v1.27    2011.04.22
    界面改进：一次拖放多个torrent文件到主窗口或悬浮窗时，显示批量添加任务窗口
    界面改进：显示种子存档时，工具栏删除按钮取消下拉菜单，改为直接点击
    界面改进：查看菜单新增"显示详细信息"选项
    界面改进：全局选项新增设置项：打开torrent文件时自动加入我的共享
    界面改进：任务剩余时间里的天数和小时改为多语言显示
    界面改进：任务日志输出Hash检查恢复及丢弃的数据大小
    界面改进：全局统计显示程序内存使用情况
    界面改进：全局选项高级设置页新增设置项：每秒钟最多发送的UDP数据包个数
    界面改进：主窗口标题栏上传、下载速度显示在行首
    界面改进：打开不支持的磁链时，显示更准确的错误信息
    界面改进：鼠标悬浮在系统托盘图标和悬浮窗时，显示任务下载进度预览窗口
    界面改进：文件菜单一次打开多个torrent文件时，显示批量添加任务窗口
    界面改进：任务启动时若需要进行Hash检查，则显示确认对话框
    界面改进：界面外观设置页面增加选项：显示Hash检查确认对话框
    界面改进：改进Firefox视频下载扩展，增强视频文件捕获能力
    界面改进：64-bit系统下，全局选项里的磁盘缓存上限为16GB
    界面改进：全局统计显示本次运行上传、下载流量
    界面改进：去掉工具栏删除按钮下拉菜单，按住shift键点击删除按钮即可同时删除下载任务和文件
    界面改进：改进悬浮窗口及系统托盘图标右键菜单，减少菜单层次
    界面改进：保存目录为重定向到其他分区的符号链接时，也可正确显示磁盘剩余空间
    界面改进：改进错误报告程序
    界面改进：去掉任务列表右键菜单里的"删除任务和文件"，按住shift键点击"删除任务"即可同时删除下载任务和文件
    界面改进：支持 IE 9 右键菜单调用BitComet下载
    界面改进：修改BT任务属性对话框大小，兼容上网本1024x600分辨率
    界面改进：XP下打开任务保存目录时，显示资源浏览器的目录树
    界面改进：工具栏增加打开磁链按钮
    界面改进：改进Firefox视频下载扩展，支持Firefox 4
    界面改进：改进Firefox插件，支持Firefox 4
    界面改进：主程序运行时，运行卸载程序可自动使主程序退出
    界面修改：取消任务删除对话框"不再显示"的选项
    界面修改：去掉热门软件更新检查功能
    界面修正：切换到文件列表时，工具栏"打开论坛"按钮失效
    界面修正：出现远程连接后，外网指示灯变绿，但指示灯提示文字及全局统计里的监听端口状态没有更新
    界面修正：v1.26版代理设置页面部分设置修改后无法保存
    界面修正：v1.26版任务标签设置页面无法新建标签
    界面修正：v1.26版任务摘要里的种子数没有显示
    界面修正：全局选项"打开torrent文件时自动加入我的共享"没有生效
    界面修正：鼠标悬浮在系统托盘图标时显示的任务下载进度预览窗口位置不正确
    界面修正：任务摘要里的上传/下载流量提示窗口过段时间后就有可能不再显示
    界面修正：多文件BT任务选择部分文件下载时，若选择了“稍后下载”则任务状态图标显示为为警告图标
    界面修正：任务摘要窗口中的任务状态文字过长时显示不完整
    界面修正：增大Windows文字大小(DPI设置)后，个别窗体显示布局不正确
    界面修正：有下载任务排队时，下载完成后自动关机功能无视排队任务提前关机
    核心改进：原生支持64-bit系统
    核心改进：磁盘读写cache用完后，改为工作线程读取文件，防止高速做种时界面响应迟缓
    核心改进：磁盘写盘速度过慢时，降低下载速度，防止高速下载时界面响应迟缓
    核心改进：改进上传队列处理，提高局域网上传速度
    核心改进：任务启动时若保存路径所在驱动器无法访问，则不进行hash检查，防止下载进度清零
    核心修正：含0字节文件的BT任务停止后再运行，会立即进行hash检查
    核心修正：远程连入的peer若监听端口未知，则断开连接后不再保留记录
    核心修正：任务因磁盘空间不足停止下载后没有关闭文件，导致用户无法手工移动或删除文件
    核心修正：BT任务若只选中部分文件下载，Hash检查后可能出现任务完成度倒退
    核心修正：开启下载前预先分配磁盘空间选项后，任务启动时只为任务前50个文件分配空间
    核心修正：保存目录为junction时，下载失败
    核心修正：单任务限速未对长效种子下载生效

v1.26    2011.01.27
    界面改进：改进VIP下载对话框文字信息
    界面改进：改进任务属性对话框磁盘空间进度条
    界面改进：高级选项可控制BT任务是否在检测文件变化后自动重新检查文件完整性
    界面改进：高级选项可控制是否启用磁盘加速服务程序(仅Vista及之后版本)
    界面改进：统计选项卡里显示磁盘加速服务程序的状态(仅Vista及之后版本)
    界面改进：排队的任务也显示在活动任务列表里
    界面改进：优化tracker列表里的连接倒计时
    界面改进：下载磁链时，不再弹出torrent下载提示框
    界面改进：改进非繁体中文Windows下选择繁体界面时的显示字体
    界面改进：简化种子市场、种子存档里的种子文件状态图标
    界面改进：种子市场、种子存档列表不再固定日期列宽
    界面改进：优化种子市场、种子存档列表显示刷新算法，降低CPU占用率
    界面改进：优化种子市场、种子存档列表右键菜单粗体显示默认命令
    界面改进：种子市场他人共享右键菜单新增命令：加入我的共享
    界面改进：制作torrent文件时，增加openbittorrent和publicbt为默认tracker
    界面改进：远程peer连入后，网络状况指示灯即可显示为绿灯
    界面改进：添加Vista/Win7使用的256*256大图标
    界面改进：种子存档列表增加一列显示是否为私有种子
    界面改进：取消任务列表里的预览等列的列宽锁定
    界面改进：任务摘要面板增加累计下载时间
    界面改进：任务剩余下载时间若超过24小时则显示天数
    界面改进：启动时检查任务下载的文件是否还存在，若文件丢失则显示警告图标。可在高级选项里禁用。
    界面修改：简体中文版隐藏电驴插件相关功能
    界面修改：长效种子英文“Long-Time Seeding”改为“Long-Term Seeding”
    界面修正：选中多个任务后显示的任务信息统计对话框里的已下载大小有误
    界面修正：XP下鼠标悬浮在系统托盘图标时无法显示任务运行信息气泡
    界面修正：种子存档、种子市场的任务列表按住Ctrl选择多个条目时，工具栏“删除”按钮会灰化显示
    界面修正：全局选项对话框里HTTP下载每条连接的写盘缓存大小上限应为2MB
    界面修正：磁链下载torrent文件完成后，任务属性对话框高级设置页面里隐藏的选项没有立即恢复显示
    界面修正：UDP端口监听失败的提示信息显示不准确
    核心改进：创建文件时调用磁盘加速服务程序，加快磁盘操作速度，防止界面卡死(仅Vista及之后版本)
    核心改进：优化内核，BT下载时界面刷新造成的CPU占用率
    核心改进：私有种子每次只连接一个tracker，切换tracker时清除所有已知用户
    核心改进：改进错误报告程序
    核心改进：改进用户交换信息传输间隔
    核心改进：网络底层使用工作线程，减少界面主线程消息处理
    核心修正：tracker列表删除tracker时，不要立即重新连接tracker (thanks to kluelos)
    核心修正：选项里没有启用监听端口时，程序退出时死锁

v1.25    2010.12.08
    界面改进：新增全局选项：自定义任务列表鼠标双击动作
    界面改进：Tracker列表增加Tracker日志查看功能
    界面改进：任务属性对话框增加了磁盘剩余空间进度条
    界面改进：改进任务列表工具栏，增加种子存档等按钮
    界面改进：改进种子存档工具栏，与任务列表工具栏一致
    界面改进：程序退出重启后，保持任务列表排序状态
    界面改进：种子存档使用新的图标
    界面改进：启用会员下载的任务若长时间无法下载完成，可取消会员下载
    界面修正：全局选项默认下载目录不能设置为网络共享文件夹
    核心修正：增强内核稳定性
    核心修正：增强BHO稳定性

v1.24    2010.11.11
    界面改进：新增“会员下载”功能，任务列表里可开启BitTorrent任务的“会员下载”加速
    界面改进：新增全局设置项：任务完成后将下载文件移动到指定文件夹
    界面改进：任务列表增加任务筛选工具条，可按任务状态、任务标签、关键字筛选任务
    界面改进：左侧收藏夹的任务标签列表移至任务列表筛选工具条显示
    界面改进：新增 Ctrl+F 快捷键查找任务
    界面改进：Ctrl+U 一次打开多个磁链时，显示批量添加任务对话框
    界面改进：任务列表里的预览/打开文件快捷按钮由文字改为图标
    界面改进：BitTorrent用户列表显示的条目数量不再有上限
    界面改进：如果文件下载完成时文件移动、改名失败，则任务状态图标显示为黄色警告
    界面改进：BitTorrent任务文件列表“搜索ED2K链接”对话框改进显示效果
    界面改进：新增 Windows 7 任务栏按钮缩略图，显示下载中的任务信息
    界面改进：在 Windows 7 任务栏按钮上显示运行中的任务下载进度
    界面改进：Windows 7 任务栏按钮鼠标右键菜单增加常用操作菜单项
    界面改进：新增全局设置项，可分别设置程序启动、最小化、关闭按钮的窗口行为
    界面改进：新增自动关机设置项，可设置生效一次或永久记住
    界面改进：显示种子存档列表时，可使用工具条上的查看、属性、删除按钮
    核心改进：支持“会员下载”功能，可加速BitTorrent下载
    核心改进：Torrent另存为操作时，保留创建该Torrent文件的原始软件名称
    核心修正：DHT返回的peer可能会强制使用加密连接 (thanks to Ori)
    核心修正：处理个别视频文件时，VideoSnapshot.exe 无法正常退出
    核心修正：磁盘缓存上限改为2GB

v1.23    2010.08.31
    界面改进：种子存档列表增加摘要选项卡
    界面改进：从URL打开torrent对话框可同时打开多个URL/磁链
    界面改进：任务列表、种子存档列表支持一次选中多个任务同时导出torrent文件
    界面改进：BT任务缺少ED2K链接时，可在文件列表点击"添加ED2K链接"
    界面改进：种子存档列表增加评分选项卡
    界面改进：种子存档列表右键菜单增加"添加到任务列表"命令
    界面改进："导入未完成下载"支持导入任意扩展名文件
    界面改进：增加高级选项：BT任务文件列表允许预览程序打开任何类型的文件
    界面改进：改进Firefox视频下载扩展，增强视频文件捕获能力
    界面修正：彗星通行证50级以上无法正确显示升级积分百分比(v1.22)
    界面修正：在任务属性对话框里修改了保存路径，并选择了移动已下载文件后，文件被复制到新位置，而不是移动过去
    界面修正：下载完成后提示音没有响(v1.22)
    界面修正：在任务属性对话框修改torrent文件编码后，种子存档里的任务名称没有刷新
    界面修正：XP下无法发送错误报告
    界面修正：切换到种子存档后，工具栏任务相关按钮没有灰化
    核心改进：Web种子支持HTTP下载301/302重定向
    核心改进：Xtreme版电驴插件升级到8.0内核(eMule v0.50a)
    核心改进：接收到Tracker服务器返回的错误代码后，增大重试间隔继续重连
    核心改进：提高HTTP Tracker连接优先级
    核心改进：优化BT任务分块请求算法，降低CPU占用率
    核心修正：BT任务含有多个文件时，启动下载后会启动多个电驴插件进程(v0.50a)
    核心修正：Vista/Win7 下无法生成错误报告(v1.22)
    核心修正：任务列表中有torrent未下载的任务时，上传任务数目限制有误
    核心修正：启动BT任务时，若发现已下载文件已改变或丢失，则重新检查完整性
    核心修正：FTP下载没有正确处理远程服务器主动断开连接的情况
    核心修正：FTP下载连接某些FTP服务器时，无法正确进行断点续传
    核心修正：修正DNS查询处理

v1.22    2010.06.30
    界面改进：改进Vista/Win7下IE右键菜单项显示效果
    界面修正：torrent制作对话框Tab键失效
    核心改进：改进UDP传输模块与第三方软件兼容性
    核心改进：电驴插件升级到v0.50a版
    核心修正：HTTP下载无法取得Firefox 3.0以上版本的cookie信息
    核心修正：个别情况下程序退出时保存dht节点信息失败
    核心改进：当保存文件的盘符不可访问时，不要直接将下载进度清零(如移动硬盘被取下)
    核心修正：修正DNS查询处理
    核心修正：Vista/Win7下use_app_data == false时无法保存任务列表(v1.21)
    核心修正：增强内核稳定性

v1.21    2010.05.28
    界面改进：支持打开包含多个tracker参数的磁链
    界面改进：由BT任务复制出的磁链可包含多个tracker参数
    界面改进：自动更新支持后台自动下载新版安装包
    界面改进：HTTP任务属性对话框中可对下载完成的文件进行SHA1校验
    界面改进：HTTP任务选择"重新下载"时，显示确认对话框
    界面改进：改进任务列表鼠标右键菜单图标
    界面改进：选项对话框里的“Web界面”改名为“远程下载”
    界面改进：远程下载添加HTTP任务时可填写引用页、用户名、密码
    界面改进：远程下载增加了HTTP任务连接日志列表
    界面改进：远程下载的任务信息页面增加了启动、停止任务的操作
    界面改进：火狐浏览器插件支持下载.hlv视频文件(新浪视频)
    界面改进：Windows多账户同时运行BitComet时，使用各自的任务列表和设置信息
    界面修正：程序刚启动时，已存在的BT任务分享率显示有误
    界面修正：个别情况下显示工具栏气泡提示会导致程序崩溃
    核心改进：支持长度超过260字符的文件路径
    核心改进：删除用于HTTP下载智能命名的LUA脚本支持
    核心改进：更新BT客户端识别代码
    核心修正：无法从含有单引号的HTTP链接地址下载文件

v1.20    2010.03.25
    界面改进：文件菜单新增"导入未完成的下载"功能，支持BitComet、uTorrent、Xunlei
    界面改进：从URL打开Torrent对话框支持直接通过torrent infohash新建下载
    界面改进：任务列表支持拖放任务调整顺序(非排序状态下)
    界面改进：BT任务摘要选项卡显示任务分块数量，鼠标悬浮在上传/下载速度、大小上时tooltip显示详细统计信息
    界面改进：BT任务用户列表可设置好友上传通道，优先给指定用户上传(同一IP有效)
    界面改进：BT任务tracker列表显示服务器返回的种子、用户、下载完成数目
    界面改进：BT任务文件列表文件名排序与Windows资源管理器顺序一致(thanks to RadioNoise)
    界面改进：修改BT任务属性对话框大小，兼容上网本1024x600分辨率
    界面改进：已完成的BT任务，任务属性里的"查找长效种子"选项改为"允许长效种子上传"，"查找电驴"改为"允许电驴插件上传"
    界面改进：新增全局选项：同时做种任务最大数目
    界面改进：新增全局选项：连接Tracker不使用代理、连接Peer不使用代理
    界面改进：新增全局选项：Web界面可以单独设置监听端口
    界面改进：支持 Occitan 语言(详见lang\HowTo-Translate.txt)
    界面改进：远程桌面下显示界面时，禁用文件列表、用户列表、tracker列表中鼠标停留位置整行高亮显示(thanks to kyoiiyb)
    界面改进：改进安装包，增强Vista/Win7兼容性
    界面修正：输入的tracker地址结尾带有空格会导致连接失败
    界面修正：将磁链文本拖放到悬浮窗，无法新建BT下载
    核心改进：所有语言的Windows下制作torrent文件时都默认使用UTF-8编码
    核心改进：改进算法，降低DHT模块CPU占用率，防止界面卡死
    核心改进：改进算法，降低长效种子下载模块CPU占用率，防止界面卡死
    核心改进：支持HTTPS协议的tracker
    核心修正：时段限速停止全部任务后，"低于指定下载速度则启动新任务"选项仍然会启动新任务	
    核心修正：BT任务停止后，该任务的DHT连接没有彻底停止
    核心修正：异常的DHT数据包会导致程序崩溃(thanks to Pierre Noguès)
    核心修正：v1.19导出的任务列表备份文件无法被导入

v1.19    2010.02.21
    界面改进：Torrent制作对话框改为非模态窗口，制作过程中可继续操作主窗口
    界面改进：还未下载到Torrent文件的磁链任务可在属性对话框里设置多个tracker地址
    界面改进：工具菜单增加了启用电驴插件、显示/隐藏电驴插件窗口的命令
    界面改进：BT/HTTP任务属性对话框里可设置任务标签
    界面改进：使用任务列表右键菜单添加任务标签时，可选择是否同时移动文件到标签关联目录
    界面改进：主窗口Tab键可切换输入焦点到任务选项卡内部列表控件
    界面改进：任务列表右键菜单增加图标
    界面改进：私有任务文件列表里的ed2k地址显示"不支持"
    界面改进：选项对话框高级页面新增设置项：system.show_debug_info
    界面修正：Win7下无法将下载地址从IE8窗口里拖放到悬浮窗
    界面修正：BT/HTTP任务属性对话框保存路径输入框不支持鼠标滚轮
    界面修正：Web界面无法添加磁链下载
    界面修正：任务列表最后一行的任务某些情况下状态信息没有刷新
    核心改进：支持交换peer的BT扩展协议，与主流BT软件兼容
    核心改进：新的Xtreme版电驴插件(Xtreme 7.2内核)
    核心修正：如果删除任务时没有同时删除下载的文件，该文件长效上传不会立即停止 
    核心修正：全局选项里禁用长效种子后，正在运行的任务的长效下载没有立即终止

v1.18    2010.01.20
    界面改进：选中多个任务时显示属性，可显示任务统计信息对话框
    界面改进：将磁链、HTTP下载地址拖放到主窗口也可启动下载
    界面改进：任务分块选项卡增加图例、改进配色
    界面改进：选项对话框高级页面新设置项：程序配置文件保存位置在APP_DATA目录或安装目录(详见wiki)
    界面改进：任务列表文件加载/保存失败时显示错误提示
    界面改进：BT任务Tracker列表右键菜单新增命令：添加Tracker
    界面改进：选项对话框连接页面增加选项：启动时随机选择端口
    界面改进：种子存档增加"加入日期"，默认隐藏"截图数"、"评论数"、"评分"、"健康度"
    界面改进：关于对话框增加界面语言翻译者信息
    界面改进：改进BHO，在IE8下右键菜单里使用BitComet下载的菜单项增加图标
    界面改进：改进Firefox视频下载扩展，除页面右键菜单之外，在工具菜单里也显示捕获的视频文件
    界面改进：选项对话框BT任务页面新增选项：通过磁链下载到torrent文件后是否显示任务属性对话框
    界面改进：从种子市场一次选中多个种子文件下载时，显示新的种子文件批量下载对话框
    界面修正：启用定时关机后，任务下载完毕时会提前关机
    界面修正：Vista/Win7非管理员用户在关闭UAC后修改IE集成选项时出错
    界面修正：切换到阿拉伯语、希伯来语等从右向左方向语言时任务属性对话框显示出错
    界面修正：第一次设置定时关机不会生效
    核心改进：任务列表文件保存时保留最多7份备份文件
    核心改进：更新BT客户端识别代码
    核心改进：BT任务在下载torrent文件时不进入任务排队
    核心修正：增强UDP传输稳定性
    核心修正：增强HTTP代理连接稳定性

v1.17    2009.12.28
    界面改进：文件菜单"从URL打开Torrent"支持打开磁链(Magnet URI)
    界面改进：任务列表、种子存档右键菜单"复制BC链接"改为"复制磁链"
    界面改进：工具菜单添加定时关机功能
    界面改进：HTTP任务连接列表将会显示同一服务器的多条连接信息
    界面改进：BT任务文件列表标题栏右键菜单可选择列表显示的栏目
    界面改进：BT任务文件列表根据每个文件下载进度确定是否显示预览快捷按钮
    界面改进：任务摘要支持鼠标滚轮
    界面改进：删除任务的"内容简介"选项卡
    界面改进：文件列表、用户列表、tracker列表中鼠标停留位置整行高亮显示
    界面改进：语言切换菜单显示每种语言英文名称之外的当前语言名称
    界面改进：由于launchpad.net的限制，去掉es_ar语言，新增Uighur
    界面改进：种子市场里的种子存档恢复为我的共享，另外增加新的种子存档
    界面改进：点击收藏夹里的种子市场时，显示介绍页面
    界面改进：新增全局选项：打开torrent文件时加入种子存档
    界面改进：新增全局选项：允许连接的BT客户端列表
    界面改进：新增全局选项：关联磁链
    界面改进：程序崩溃后发送错误报告时，可立即重启程序
    界面改进：打开视频文件时，优先使用高级选项中指定的视频播放程序
    界面修正：修正许多英文拼写错误 (thanks to greywizard)
    界面修正：无法输入长度超过编辑框一行的Web种子地址
    核心改进：支持交换Torrent文件的BT扩展协议，与主流BT软件兼容
    核心改进：支持交换DHT端口的BT扩展协议，与主流BT软件兼容
    核心修正：启动新建的BT任务时，某些情况下任务日志会显示创建文件失败
    核心修正：无法正确处理名称字段结尾含空格的多文件torrent文件

v1.16    2009.11.10
    界面改进：全局选项对话框添加"任务标签"页面，可指定标签的默认下载目录
    界面改进：改进全局选项对话框"下载目录"页面，可指定候选下载目录对应的标签
    界面改进：创建新任务时，自动根据文件扩展名自动添加任务标签及默认下载目录
    界面改进：改进任务属性对话框保存路径下拉列表，同时显示候选下载目录及其对应的标签
    界面改进：BT任务属性对话框添加"设置为默认目录"按钮
    界面改进：BT任务属性对话框高级设置页面添加"超级种子"选项
    界面改进：添加BT任务日志列表
    界面改进：BT任务文件列表添加预览/打开文件快捷按钮
    界面改进：BT任务用户列表分组用户信息用蓝色显示
    核心改进：BT任务支持超级种子上传模式(仅适用于初始做种者)
    核心改进：优化BT任务预览下载模式算法
    核心改进：优化长效下载连接算法
    核心修正：64位Vista/Win7下任务列表保存失败
    核心修正：BT任务选择部分文件下载时，文件头尾分块数据个别情况下没有正确保存
    核心修正：删除任务时，无法删除程序数据目录里的只读属性的torrent文件

v1.15    2009.09.25
    界面改进：任务信息面板选择列表改为任务信息选项卡，支持拖动排序、右键菜单
    界面改进：重新设计"任务摘要"选项卡
    界面改进：任务"相关推荐"页面改为"起始页"选项卡
    界面改进：在没有选中任务，或任务没有运行时，隐藏无需显示的任务信息选项卡
    界面改进：选项对话框"网络设置"页面里，新添加了"网络设置向导"
    界面改进：改进状态栏右键菜单，添加"重新映射端口"命令，及帮助
    界面改进：悬浮窗及系统托盘图标右键菜单添加上传、下载限速选项
    界面改进：文件列表新加"ED2K链接"
    界面改进：时段限速设置页面突出显示当前时段
    界面修正：彗星通行证登录窗口切换帐号后没有清空密码框
    界面修正：用户列表里的电驴插件分块状态和上传速度显示不正确
    核心改进：电驴插件升级到v0.49c版
    核心改进：优化高速网络带宽下的长效下载连接算法
    核心改进：悬浮窗右键菜单"开始全部上传"命令不启动已下载完成但文件丢失的任务
    核心改进：改进DNS查询
    核心改进：选择BT任务中更多文件进行下载，当任务再次下载完成时，更新任务完成时间
    核心修正：选中部分文件下载完成后会向Tracker发送完成信息(v1.13及v1.14)
    核心修正：BT任务部分文件下载完成后，长效连接数过少
    核心修正：UPNP模块个别情况下不能正常退出
    核心修正：在时段限速停止下载期间启动任务，任务应该进入排队
    核心修正：退出程序时，同时删除电驴插件的端口映射

v1.14    2009.07.31
    界面改进：制作torrent文件时可添加Web种子列表
    界面改进：BT任务属性对话框可修改Web种子列表
    界面改进：BT任务用户列表显示分组用户上传、下载速度
    界面改进：BT任务用户列表显示每个用户正在下载的分块位置
    界面改进：当磁盘操作造成界面暂时失去响应时，在系统托盘图标上显示气球提示
    界面改进：新增界面外观选项：启动时最小化
    界面改进：收藏夹书签窗口增加了"加载中"页面
    界面改进：悬浮窗右键菜单新增"开始全部上传"命令
    界面改进：程序退出前系统托盘图标灰化显示
    界面改进：选项对话框网络连接页面新设置项：没有下载时的最大上传速率
    界面改进：全局统计显示当前上传、下载限速值
    界面改进：选项对话框任务设置页面可分别设置BT任务和HTTP任务的同时下载数上限
    界面改进：选项对话框BT下载页面协议加密设置项：新增"强制"选项，拒绝非加密连接连入。详细说明见wiki
    界面改进：选项对话框长效种子页面新设置项：自动控制长效上传限速
    界面改进：全局统计显示当前长效种子上传限速值
    界面改进：BitComet失去响应提示对话框在界面恢复响应后自动关闭
    界面修正：BT任务属性对话框里无法添加端口号为80的HTTP Tracker
    界面修正：删除任务时，若在删除对话框显示之前界面暂时失去响应期间切换了选中的任务，则删除的任务可能不是开始选中的任务
    核心改进：BT任务支持从Web种子(WebSeed)下载，与主流BT软件兼容
    核心改进：改进算法，降低DHT模块CPU占用率
    核心改进：屏蔽指定IP的BT用户后，对方更换用户ID也无法连入
    核心改进：优化UDP长效下载连接算法
    核心改进：程序退出前向UDP长效用户发送不再连接的指令
    核心改进：优化BT任务上传连接算法
    核心改进：启用自动控制长效上传限速后优先上传BT连接
    核心修正：高级选项里的最大同时发起连接数限制没有生效
    核心修正：制作torrent文件时，若指定目录里的文件数过多，则可能制作失败

v1.13    2009.06.22
    界面改进：左侧收藏夹添加上传任务队列
    界面改进：BT任务右下方文件列表，以及属性对话框里的文件列表改为树形结构，可展开、折叠子目录
    界面改进：BT任务右下方文件列表，以及属性对话框里的文件列表支持排序
    界面改进：BT任务右下方文件列表，以及属性对话框里的文件列表右键菜单新增"展开/折叠同级目录"操作
    界面改进：BT任务右下方文件列表添加复选框，可直接切换是否下载选中的文件或目录
    界面改进：BT任务用户列表给每个用户添加一个连接状态图标
    界面改进：BT任务用户列表右键菜单新增"添加用户"操作，可手工加入BT用户
    界面改进：BT任务用户列表在按下ScrollLock暂停刷新时，显示提示信息
    界面改进：文件菜单导出操作支持仅导出任务列表里选中的部分任务
    界面改进：文件菜单导入操作支持将导入的任务合并进当前任务列表，无需预先清空任务列表再导入
    界面改进：文件菜单导入操作支持仅导入任务，不导入备份文件里的程序全局设置
    界面改进：工具菜单界面语言列表改为两级子菜单
    界面改进：任务内容简介、相关截图、相关评论、相关推荐窗口增加了"加载中"页面
    界面改进：停止任务时不清除悬浮窗里的速度流量信息，启动任务后恢复显示
    界面改进：启动时不再提示找不到BitCometAgent.dll
    界面改进：优化彗星通行证登录失败重连时间间隔
    界面改进：增加支持的界面语言(详见lang\HowTo-Translate.txt)
    界面修正：在繁体Windows里打开GB2312编码的torrent文件，切换编码后任务名称和发布者信息仍然是乱码
    界面修正：高级设置里的长效种子TCP、UDP传输模式设置无法保存
    界面修正：恢复v1.12版删除的种子存档
    界面修正：BT任务取消所有文件下载后，下次启动程序时任务进度显示不正确
    核心改进：升级taskname.piece_part.bc!文件格式，改进BT任务文件边界处分块数据处理，降低内存占用
    核心改进：BT任务反吸血保护选项改为"禁止"、"自动"、"严格"三个选项，默认为"自动"
    核心改进：改进网络底层代码，防止高速下载时出现界面无响应的状况
    核心改进：长效种子UDP上传增加磁盘缓存, 最大50MB
    核心改进：降低UDP长效上传线程优先级
    核心修正：长效种子UDP上传模块个别情况下内存泄漏
    核心修正：长效种子高速UDP上传时内存、CPU消耗过大

v1.12    2009.05.18
    界面改进：简体中文版删除种子市场

v1.11    2009.04.28
    界面改进：Windows Vista下关联torrent文件不再需要提升权限
    界面改进：批量下载对话框保存路径支持"我的文档"
    界面改进：BT任务用户列表可显示长效种子传输模式和对方版本号
    界面改进：BT任务用户列表添加分块错误信息，默认隐藏
    界面改进：BT任务用户列表显示长效种子连接时间
    界面修正：当有多个显示器时，BitComet启动时没有恢复窗口位置到上次退出时的显示器
    界面修正：BT任务用户列表在隐藏某些列后，无法对其右侧的其它列进行排序
    核心改进：长效种子支持UDP传输，可在高级选项里切换TCP、UDP传输模式
    核心改进：网络状况监测支持UDP端口检测，可在全局统计里分别查看TCP、UDP端口检测结果
    核心改进：若从同一个peer下载的数据多次出错，则不再连接该peer
    核心改进：改进长效种子TCP模式的下载重连算法
    核心改进：增强对电驴插件旧版的兼容性，支持1.06版及其之后的电驴插件
    核心改进：删除任务下载文件时清除目录里的Thumbs.db
    核心改进：taskname.piece_part.bc!设为隐藏文件，以避免被意外删除
    核心改进：更新BT客户端识别代码
    核心修正：使用代理服务器会导致程序崩溃
    核心修正：代理服务器用户名、密码设置失效
    核心修正：制作torrent文件时，所选目录若含有空子目录则会失败
    核心修正：某些情况下全局统计里显示的本地IP地址不正确
    核心修正：种子市场个别torrent文件发布日期显示错误

v1.10    2009.03.09
    界面改进：工具栏添加了任务搜索框，用于筛选任务列表，可在查看菜单里开启
    界面改进：HTTP任务属性对话框添加保存默认下载目录的按钮
    界面改进：改进BT任务属性对话框文件类型筛选功能
    界面改进：改进工具菜单的下载完成后关机功能
    界面改进：HTTP批量下载对话框添加选中条目计数
    界面改进：种子存档列表右键菜单新命令：种子文件属性对话框
    界面改进：悬浮窗在窗口较大时，可显示任务进度对应的任务序号及任务总数
    界面改进：选项对话框高级设置里可指定HTTP任务使用的User-Agent字符串
    界面改进：增加支持的界面语言(详见lang\HowTo-Translate.txt)
    界面改进：删除种子市场列表保存功能
    界面改进：种子市场里下载torrent文件后不再转跳到任务列表
    界面修正：种子市场里同时下载多个torrent文件，弹出的多个任务属性对话框容易造成界面死锁
    界面修正：允许在exFAT格式的分区下载大小超过4G的文件
    核心改进：改进BT任务文件头尾处的数据保存，避免个别情况下视频文件预览失败
    核心改进：更新杀毒软件自动检测算法
    核心改进：HTTP下载支持相对路径转跳
    核心修正：某些情况下HTTP下载转跳时服务器认证信息没有被发送
    核心修正：及个别情况下private的BT任务会从DHT网络搜索peer
    核心修正：长效种子上传不稳定

v1.09    2009.01.20
    核心修正：部分BT任务在任务停止时保存文件边界处数据会造成任务进度错误

v1.08    2009.01.18
    界面改进：BT任务属性对话框里的文件列表添加按文件类型筛选的功能
    界面改进：BT任务属性对话框增加torrent制作软件和制作日期显示
    界面改进：可在HTTP任务属性对话框中手工添加镜像地址
    界面改进：任务下载完成后的待机、关机操作设置从选项对话框转移到工具菜单里
    界面改进：删除附件工具VistaTcpPatch.exe，相关功能并入主程序
    界面改进：打开BT类型的BC链接时，若种子存档里已存在torrent文件，则直接打开不再下载
    界面改进：左侧收藏夹里的任务存档、他人共享数量在程序启动后即可显示，无需延迟加载
    界面改进：改进种子存档、他人共享关键字过滤之后状态栏的条目数量显示
    界面改进：种子存档和他人共享列表在非排序状态下改为新加入的torrent文件添加到列表底部
    界面改进：他人共享列表在非排序、自动刷新状态下条目数量达到上限后，自动删除顶端条目
    界面改进：种子存档列表里的"下载状态"添加了新图标表示任务下载完成
    界面改进：种子存档右键菜单添加了"打开保存位置"命令，任务下载完成后有效
    界面改进：他人共享右键菜单添加了"取消所有屏蔽"命令
    界面改进：种子存档里Del键可删除条目，他人共享里Del键可屏蔽所选条目
    界面修正：种子存档、他人共享列表里的条目没有截图信息时，也能点击打开无效页面
    核心改进：改进长效种子连接算法
    核心改进：改进BT任务文件边界处的数据保存
    核心改进：制作torrent文件时忽略thumbs.db
    核心修正：部分视频网站下载失败
    核心修正：HTTP任务在没有填写引用页时，用户名、密码设置没有实际生效

v1.07    2008.12.03
    界面改进：任务可通过右键菜单添加标签，便于分类管理(支持多选)
    界面改进：左侧收藏夹可按任务标签筛选任务
    界面改进：选项对话框里任务设置新选项：根据文件类型自动给新任务加标签
    界面改进：BT任务摘要新增显示任务标签及任务发布日期
    界面改进：HTTP任务摘要新增显示任务标签
    界面改进：选项对话框添加"应用"按钮
    界面改进：选项对话框Web界面新选项：Web界面操作时在本机显示提示窗口
    界面改进：打开torrent文件时，若种子存档里存在相同文件，则显示以前可能曾经下载过的提示
    界面改进：修改已存在的BT/HTTP任务保存路径时，提示是否移动已下载的文件到新路径
    界面改进：修改BT/HTTP任务保存路径时，显示路径自动完成下拉列表
    界面改进：当BT任务属性对话框里的文件列表宽度不够时，将文件名中间部分字符显示为省略号，尽量显示文件名头尾部分
    界面改进：切换左侧收藏夹各个任务列表、任务标签、种子市场时，保留切换前的滚动条位置和任务选中状态
    界面改进：主窗口状态栏通行证、DHT区域添加右键菜单
    界面改进：任务列表点击评论、截图图标时，不再打开浏览器网页，改为在任务下方显示
    界面改进：新增加10种界面语言支持
    界面修正：Win98/2K下显示文件删除确认对话框会导致程序崩溃
    核心改进：Web界面支持创建BC链接新任务
    核心改进：Web界面创建的新任务已存在时，显示已存在任务的页面链接
    核心改进：电驴插件可以下载多文件BT任务文件边界处的数据
    核心改进：保存任务列表文件downloads.xml时创建bak备份文件
    核心修正：接收到文件边界处的错误数据会导致任务无法下载完成

v1.06    2008.11.12
    界面改进：调整主菜单，"工具"菜单变为"软件"，"选项"菜单变为"工具"
    界面改进：工具菜单添加了默认保存目录选择子菜单
    界面改进：改进选项对话框保存目录设置页面，双击列表项即可设置默认下载路径
    界面改进：选项对话框添加了Web界面设置项，可设置用户名、密码等
    界面改进：HTTP/FTP任务属性对话框添加了MD5校验页面
    界面改进：任务列表右键菜单"移动到"菜单可选择移动任务到某个候选下载目录
    界面改进：任务列表添加任务下载大小、上传大小信息(默认隐藏)
    界面改进：删除附带小工具: Flv播放器
    界面改进：改进BT任务用户列表长效种子显示
    界面修正：修复界面个别翻译错误
    核心改进：添加了Web界面模块，可远程遥控BitComet进行下载，默认不启用。（重要更新）
    核心改进：改进长效种子模块算法
    核心改进：改进种子市场列表在程序启动后首次加载的速度
    核心改进：HTTP任务下载过快超过硬盘写入速度时，自动限速下载，防止造成磁盘缓存消耗内存过大
    核心改进：电驴插件升级至0.49b
    核心修正：高速BT下载时界面响应迟钝的问题
    核心修正：安装IE8测试版后程序启动时崩溃

v1.05    2008.10.10
    界面改进：BT任务属性对话框里保存位置拆分为两部分，单文件任务分为保存目录和文件名，多文件任务分为保存目录和子目录
    界面改进：新建BT任务时，立即开始/手动开始下拉框改为对话框底部按钮
    界面改进：BT任务和HTTP/FTP任务属性对话框删除了“设置为缺省”按钮，新任务的保存位置会自动加入选项对话框里的候选下载目录列表
    界面改进：选项对话框新添候选下载目录列表，在新建任务时可方便的选取列表里的常用下载目录
    界面改进：重写批量HTTP/FTP链接下载对话框和下载全部链接对话框，两者合并为新的批量下载对话框，更加方便实用
    界面改进：为HTTP/FTP下载添加了站点密码管理器，新建任务时可自动填写已保存过的站点密码。可在选项对话框中设置。
    界面改进：制作Torrent文件对话框里，网络类型下拉框改为私有种子和添加DHT节点选框
    界面改进：热门软件更新检查查询到的新版本软件将会显示在主窗口工具菜单里
    界面改进：下载完成的任务若文件已被删除，则点击播放时显示提示信息
    界面修正：Windows Vista下工具栏搜索框切换搜索类型后，显示不正常
    核心改进：界面语言文件由.xml格式改为更通用的.mo格式，可在 https://translations.launchpad.net/bitcomet 上进行协同翻译
    核心修正：Windows Vista下以管理员权限运行BitComet，会造成任务列表丢失
    核心修正：HTTP任务下载时，若因保存的文件被其他程序锁定而造成任务停止，则继续下载时会出现数据不完整的现象
    核心修正：个别情况下BT任务完整性检查后，任务进度为100%，但文件进度没有正确显示，需要更改一下文件优先级才能正确显示
    核心修正：BT任务启用文件下载顺序后，修改某个文件是否下载会造成程序失去响应

v1.04    2008.8.22
    界面改进：种子市场"我的共享"改进为"种子存档"，用于保存所有下载过的torrent文件，并可设置是否共享
    界面改进：种子存档添加筛选功能，便于查找以前下载过的torrent文件
    界面改进：去掉了任务回收站，但删除任务时可在种子存档中保留其torrent文件
    界面改进：新选项：程序退出时清除种子市场"他人共享"，默认清除
    界面改进：新选项：任务全部下载完成并自动停止后，可让计算机进入待机、休眠、重启或关机
    界面改进：工具菜单新命令：检查BitComet更新
    界面改进：改进用户列表长效种子下载速度显示
    界面改进：mp3等音频文件下载完毕后，任务列表里会显示"播放"快捷按钮
    界面修正：BT任务重命名后重新启动BitComet，文件列表打开文件操作失效
    界面修正：v1.03版制作torrent文件时无法添加子目录
    界面修正：主窗口宽度较小时，工具栏搜索框显示位置不正确
    界面修正：v1.02版全局统计里的"累计上传"/"累计下载"在某些情况下会被错误的清零
    核心改进：种子存档将所有打开过的torrent文件保存于archive子目录

v1.03    2008.7.17
    界面改进：重新设计选项对话框，整理选项布局
    界面改进：新增高级选项：连接 HTTP tacker 时发送的用户代理
    界面改进：新增高级选项：调整反吸血保护规则
    界面改进：新增高级选项：设置视频播放器程序路径
    界面改进：改进任务列表里的HTTP/FTP任务连接数显示
    界面改进：任务列表添加剩余大小信息(默认隐藏)
    界面改进：BT任务用户列表标题栏右键菜单可选择显示的栏目
    界面改进：BT任务用户列表支持分组显示
    界面改进：BT任务用户列表在ScrollLock点亮时暂停刷新
    界面改进：新建HTTP任务时，属性对话框将显示保存位置的剩余磁盘空间
    界面改进：BitComet失去响应提示对话框可以设置为只显示一次
    界面改进：BitComet启动时不再自动隐藏已经启动的电驴插件窗口
    界面改进：删除任务类别管理
    界面改进：删除历史任务列表
    界面改进：删除视频文件预览功能，改为调用外部播放器
    界面改进：删除BitComet资源浏览器
    界面修正：FireFox扩展可以从FireFox缓存中下载flv视频文件
    核心改进：删除内网互连模块，提高TCP传输效率
    核心改进：改进Windows XP SP3的TCP发起连接数修改
    核心修正：BT任务文件下载完成后立即断开相应的长效种子连接
    核心修正：BT任务文件边界处的piece在某些情况下会反复下载
    核心修正：程序退出时没有正确保存由BC链接创建的BT任务

v1.02    2008.6.3
    界面改进：任务的类别属性在没有设置时显示为空，不再显示为"已下载"
    界面改进：新建HTTP任务时，是否查找镜像可设置默认值
    界面改进：预览窗口添加了保持画面比例的菜单选项
    界面改进：预览窗口工具栏添加了缓冲切换按钮，用于切换播放时直接跳过未下载区域还是等待缓冲
    界面改进：BitComet资源浏览器在关闭全部窗口后立即退出，不再驻留后台运行
    界面修正：HTTP, FTP任务属性对话框用户名、密码输入无效
    界面改进：取消高级网络设置服务器模式选项
    核心改进：长效种子可以下载多文件BT任务文件边界处的数据
    核心改进：多文件BT任务选择部分文件下载时，文件边界处的数据将保存在 taskname.piece_part.bc! 中
    核心改进：病毒保护支持"江民2008"
    核心改进：支持Windows XP SP3的TCP发起连接数修改
    核心改进：FireFox扩展组件支持FireFox 3.0
    核心修正：连接某些Tracker时显示错误信息 "Tracker Reture Zero Length Response"
    核心修正：应在全部文件下载完成后，再向Tracker发送完成信息，而不是选中部分下载完成后就发送
    核心修正：HTTP下载在服务器断开连接后，没有重新连接继续下载
    核心修正：HTTP下载没有丢弃无效镜像服务器返回的错误数据，造成数据校验失败后重新下载

v1.01    2008.5.5
    界面改进：全局选项高级设置/网络连接中添加新选项：启用反吸血保护
    界面改进：改进FireFox扩展组件，可在页面右键菜单中下载网页中的视频文件
    核心改进：新增反吸血保护功能，自动断开长时间无数据传输的连接
    核心改进：增强视频预览，支持avi, rmvb, wmv, mpg, flv, ogm, mkv, mp4文件格式

v1.00    2008.3.24
    界面改进：BT任务属性对话框里的加入种子市场选项移入高级设置页面
    界面改进：BT任务用户列表右键菜单添加了删除用户的命令
    界面改进：BT任务服务器列表右键菜单添加了删除Tracker的命令
    界面改进：FireFox扩展组件在工具菜单中新添"下载视频文件"的命令，可以捕获网页中的视频文件
    界面修正：预览视频文件时暂停后再恢复播放会导致退出全屏显示
    界面修正：BitComet资源浏览器工具栏刷新按钮失效
    核心改进：更新Windows Vista下的TCP发起连接数修改
    核心修正：时段限速停止下载时，没有暂停长效种子传输
    核心修正：安装IE7后，BitComet资源浏览器无法捕获网页内嵌的视频文件

v0.99    2008.2.1
    界面改进：新添FireFox扩展组件，支持在FireFox中调用BitComet下载文件
    界面改进：新添选项对话框高级设置页面设置项：允许自动查询任务评论、截图信息
    界面改进：查看任务保存位置文件夹时，若已经打开过该文件夹的Windows资源管理器窗口，则不再打开新窗口
    界面改进：悬浮窗右键菜单添加流量统计时间间隔选项
    界面修正：BT任务的BC链接在HTTP任务对话框中显示为"链接格式错误"
    界面修正：启动时登录密码验证失败会导致程序崩溃
    核心改进：提高BC链接里的Torrent文件下载速度，以及HTTP任务文件大小信息查询速度
    核心修正：Windows Vista下预览视频文件时，第二次全屏操作无效

v0.98    2008.1.8
    界面改进：在打开BC链接显示属性对话框的同时，后台下载torrent文件
    界面改进：工具栏框与工具栏按钮始终显示在同一行
    界面改进：HTTP任务属性对话框支持查询带密码认证的HTTP、FTP文件大小、断点续传状况
    界面改进：改进BT任务用户列表peer下载进展状态条显示效果
    界面改进：BT任务用户列表支持排序
    界面改进：BT任务用户列表添加了每个peer的下载进展状态条
    界面改进：HTTP任务连接列表添加了每个下载源的下载进展状态条
    界面改进：HTTP任务的右键菜单新增命令："验证MD5码"
    界面修正：下载全部链接对话框ESC键不起作用
    界面修正：处于排队状态的任务删除到回收站后还是排队状态
    核心改进：改进HTTP多点下载算法，防止下载后期变慢
    核心改进：HTTP任务支持下载时转跳到FTP地址
    核心修正：未下载完成的HTTP任务直接启动预览可能导致程序崩溃
    核心修正：没有启用长效种子下载的任务不应该提供长效种子上传
    核心修正：删除到回收站的任务不应该提供长效种子上传

v0.97    2007.12.07
    界面改进：改进了从网页上下载全部链接时对BC链接的处理
    界面改进：BT任务torrent文件另存为操作添加了文件覆盖提示
    界面改进：工具菜单添加了显示电驴插件的命令
    界面修正：下载全部链接对话框里列表排序后，实际下载的链接和选中的链接不一致
    界面修正：torrent文件关联图标无法正常显示
    界面修正：安装包兼容Windows Vista
    界面修正：改进HTTP/BT任务属性对话框存盘路径错误提示
    界面修正：切换语言后，状态栏文字没有更新
    核心修正：从重定向的HTTP服务器下载文件可能造成程序崩溃
    核心修正：电驴插件启动时添加的任务没有创建成功
    核心修正：无法连接某些禁止web浏览器访问的Tracker服务器
    核心修正：0.96版Windows Vista/2K下无法正常加载bitcomet.xml配置文件

v0.96    2007.11.07
    界面修正：安装包脚本错误
    核心修正：FTP任务属性对话框中，含有汉字路径的FTP链接无法查询文件大小
    核心修正：0.95版HTTP连接日志没有显示
    核心修正：压缩主程序，加快加载速度

v0.95    2007.11.05
    界面改进：添加了批量下载全局快捷键：Ctrl+B
    界面改进：去掉了左侧收藏夹下面的搜索栏
    界面改进：去掉了右侧推荐栏
    界面改进：BT任务用户列表里小于1K的下载速度显示为 "<1 kB/s"
    界面改进：flv,swf文件下载完成后，任务列表里可直接点击播放
    界面改进：批量下载改进：Ctrl+R 快捷键自动填写通配符替换范围最大值
    界面改进：BT任务分享率计算时统计长效上传数据量
    界面修正：Windows Vista下任务日志里的图标显示不正确
    界面修正：预览过的BT任务自动停止功能失效
    界面修正：时段限速将任务暂停后，没有刷新任务列表
    界面修正：捕获FTP链接创建的下载任务没有正确处理链接里的用户名、密码信息
    界面修正：HTTP任务属性对话框寻找更多用户加速下载选项无效
    核心改进：改进BT任务预览下载模式算法，降低CPU占用率
    核心改进：电驴插件可以处理IE里打开的ED2K链接
    核心改进：BitComet在电驴插件里创建任务时，将任务分类设置为_bitcomet_imported
    核心改进：从电驴插件下载BT任务时，若文件已存在于电驴插件下载队列中，则立即导入已下载数据
    核心修正：HTTP下载很小的文件时，下载完毕后某些情况下没有删除.bc!临时文件
    核心修正：HTTP无法正确下载0字节文件
    核心修正：private任务没有禁用长效种子

v0.94    2007.10.08
    界面改进：BT任务文件列表右键菜单添加了搜索文件ED2K链接的对话框（需要安装电驴插件）
    界面改进：为下载完成的可执行文件设置Windows打开文件安全警告
    界面改进：全局选项-界面外观页面增加自动登录BC通行证选项
    界面改进：种子市场Torrent文件下载完成后，及时隐藏右下角开始下载的提示窗口
    界面改进：HTTP任务属性对话框支持查询BC链接文件大小、断点续传状况
    界面改进：IE右键菜单下载本页视频改为调用BitComet资源浏览器来捕获视频文件
    界面改进：帮助菜单添加使用技巧和快捷键页面
    界面改进：去掉了左侧收藏夹和下方任务信息窗格列表的横向滚动条
    界面修正：排队任务在重启BC后不会自动开始
    界面修正：任务重命名后，没有立即刷新任务列表和文件列表
    界面修正：FTP任务复制出的BC链接协议类型错写成了HTTP链接
    界面修正：Windows Vista下改变悬浮窗大小操作显示效果不正常
    界面修正：0字节BT任务会一直显示在正在下载队列中
    核心改进：电驴插件支持搜索BT任务文件对应的ED2K链接，以帮助BitComet实现跨协议下载
    核心改进：BitComet资源浏览器工具栏新增视频下载按钮，支持捕获网页播放里的flv文件
    核心改进：HTTP任务下载时若写盘速度小于下载速度，则自动限速
    核心修正：HTTP任务下载完成后若完整性检查失败，个别情况下会不断重新下载文件
    核心修正：选择磁盘根目录制作种子文件时，输出的torrent文件里子目录名称不正确
    核心修正：选择部分文件下载完成后，再选择下载其余文件，会造成排队任务数目统计错误
    核心修正：某些情况下电驴插件窗口隐藏失效
    核心修正：某些情况下BT任务预览下载模式失效
    核心修正：从不支持断点续传的HTTP服务器下载视频文件，下载完成任务列表没有出现播放快捷按钮

v0.93    2007.9.10
    核心改进：改进了长效种子连接的稳定性

v0.92    2007.8.31
    界面改进：任务列表按名称排序时采用拼音排序
    界面改进：添加"配套软件"下载菜单，方便用户下载BitComet配套工具软件
    界面改进：全局选项上传限速最低可设置为 10kB/s
    界面改进：磁盘空间用完的提示不会自动消失，需要用户手工关闭
    界面改进：改进torrent文件制作对话框布局，支持缩放对话框大小
    界面改进：BT任务文件列表添加了文件类型图标
    界面改进：BT任务用户列表新加了用户连接时间显示
    界面改进：HTTP/FTP任务新加了文件完整性检查操作（仅部分文件支持）
    界面修正：种子市场我的共享列表按照是否已共享排序的算法有误
    界面修正：Windows Vista中torrent文件关联错误
    界面修正：Windows Vista中查看任务保存目录时，无法正确定位文件
    界面修正：Windows Vista中torrent文件制作对话框和BT任务属性对话框右侧及底部显示不完整
    界面修正：Windows Vista中RealMediaSplitter.ax注册失败导致无法正常预览 rmvb 文件
    界面修正：判断BT任务属性对话框里的剩余磁盘空间是否显示为红色的算法有误，没有计算任务已下载部分
    界面修正：HTTP批量下载对话框里通配符替换为字母的选项失效
    界面修正：从BT任务属性对话框添加torrent文件到种子市场我的共享时，没有正确设置该种子文件创建日期
    核心改进：BT任务右键菜单可设置"预览模式下载"，支持文件分块顺序下载
    核心改进：电驴插件崩溃时可以发送错误报告
    核心修正：某些情况下新建的BT任务在下载过程中会误报"磁盘错误"而停止下载
    核心修正：Windows Vista中系统默认的TCP并发连接数显示为0，实际为10

v0.91    2007.7.19
    界面改进：种子市场我的共享列表双击未下载的种子文件将提示是否需要下载
    界面改进：恢复给未完成的文件添加.bc!后缀选项
    界面改进：BT任务文件列表右键菜单里的新功能：搜索文件对应的ED2K链接
    界面改进：任务列表添加了实时排序的功能，可在查看菜单里启用
    界面改进：种子市场他人共享列表右键菜单新操作："加入我的共享"
    界面改进：更换了任务列表里BT任务正在下载torrent文件时的状态图标
    界面改进：种子市场列表添加了种子文件发布日期信息
    界面改进：种子市场列表标题右键菜单可自定义要显示的栏目
    界面改进：添加了BC链接下载任务后，会在屏幕右下角显示提示窗口
    界面改进：种子市场列表工具栏添加了分类选框
    界面改进：种子市场他人共享列表支持多关键字筛选，适用空格分割多个关键字
    界面改进：种子市场列表里种子文件名称过长时，鼠标悬浮在文件名称上就会在气泡里显示完整的文件名称
    界面改进：可在BT任务文件列表右键菜单里直接指定每个文件的ED2K链接，以便电驴插件寻找该文件的ED下载源
    界面改进：在资源管理器里双击.bc!后缀的未下完文件，会询问用户是否使用该文件没有加.bc!后缀时的关联程序打开该文件
    界面改进：可通过主窗口查看/工具栏/显示按钮菜单，或主窗口工具栏右键菜单自定义工具栏显示的按钮
    界面改进：主窗口查看/任务列表菜单可设置是否启用自动调整列宽功能
    界面改进：HTTP/FTP任务连接失败后，连接日志里将显示详细错误信息，以及重试次数
    界面改进：选项对话框添加了HTTP/FTP任务错误重试间隔选项
    界面改进：选项对话框恢复了任务下载时预分配磁盘空间的选项
    界面改进：任务列表里的的上传速度、剩余时间恢复为默认显示
    界面改进：BT任务属性对话框里，若保存位置剩余空间不够，则剩余空间大小显示为红色
    界面改进：主窗口状态栏外网IP信息区域的右键菜单添加了复制IP地址到剪贴板的操作
    界面改进：历史任务列表默认显示任务大小、进度、预览按钮
    界面修正：悬浮窗右键菜单启动全部任务时，任务排队顺序和任务列表显示顺序不一致
    界面修正：使用任务列表右键菜单将任务移动到新建类别后，收藏夹里的类别数目统计没有及时刷新
    界面修正：批量下载对话框里输入链接时，通配符(*)失效
    界面修正：任务列表里双击排队的HTTP/FTP任务时，没有停止该任务
    界面修正：批量添加HTTP/FTP任务对话框里，输入FTP链接时通配符(*)失效
    界面修正：在BC链接下载torrent文件完成后显示的任务属性对话框里点击取消，任务没有被删除
    界面修正：无法正确处理BT任务属性里的发布者URL里的汉字字符
    核心改进：支持长效种子，已完成的任务无需启动即可自动后台作种，可在选项对话框里设置
    核心改进：支持长效种子上传总限速
    核心改进：BT任务支持多文件按顺序下载，可通过BT任务属性对话框及文件列表右键菜单设置
    核心改进：支持修改Windows Vista的TCP发起连接数上限，在选项对话框里设置
    核心修正：局域网内高速HTTP/FTP下载时，个别情况下磁盘写盘操作造成界面长时间无响应
    核心修正：电驴插件在某些情况下会上传无效数据
    核心修正：时段限速功能在连续停止任务下载2小时或更长时间后，无法恢复下载
    核心修正：非正常退出程序后，下次运行程序无法自动启动上次还在运行的任务

v0.90    2007.6.19
    界面改进：BT任务属性对话框添加了查找ED下载源的选项，允许BT任务启用电驴插件加速下载
    界面改进：选项对话框添加了ED下载设置页面，可启用电驴下载插件，设置ED下载监听端口
    界面改进：BT任务摘要添加了跨协议下载速度，可显示HTTP/FTP下载源和ED下载源的下载速度
    界面改进：任务列表、种子市场列表里的截图网页快捷按钮改为可点击的图标，截图数目显示在气泡提示里
    界面改进：任务列表排序后，保持之前选中的任务仍然被选中
    界面改进：收藏夹里我的共享、他人共享添加了右键菜单，可设置是否启用种子市场，以及种子市场列表最大长度
    界面改进：优化种子市场列表显示刷新，降低CPU占用率
    界面改进：种子市场列表添加了内容搜索图标按钮，可到网站上搜索种子文件相关信息
    界面改进：种子市场列表为空时，显示提示信息
    界面改进：种子市场列表右键菜单添加了复制BC链接到剪贴版的菜单项，快捷键为Ctrl+C
    界面改进：种子市场他人共享列表右键菜单添加了全部清除操作
    界面改进：视图菜单添加了菜单项用于控制是否显示搜索工具栏
    界面改进：下载完成后自动关机功能对HTTP任务也有效
    界面改进：预览窗口信息栏、状态栏文字改为多语言字符串
    界面改进：启动后默认选中任务列表最后一个任务
    界面改进：选项对话框里可选择使用最小化按钮还是关闭按钮将主窗口缩小到系统托盘
    界面改进：启动后若检测发现Windows系统TCP发起连接数限制数过小，则弹出提示窗口
    界面改进：状态栏上的内网/外网指示灯添加了"检测中"的状态提示
    界面改进：HTTP任务的连接列表移到了任务日志上面
    界面修正：有任务运行时程序退出确认没有计入正在上传的任务
    界面修正：种子市场列表10000条之后的种子文件无法查看评论、截图、评分
    界面修正：任务列表排序后，选择重新下载HTTP任务会使任务列表恢复到未排序状态
    界面改进：排队任务的启动顺序和任务列表排序后的顺序保持一致
    界面修正：切换界面语言时，预览窗口没有刷新
    界面修正：悬浮窗右键菜单"暂停正在下载的任务"有时候无效
    核心改进：BT任务支持电驴下载，可自动连接ED下载源加速下载（需安装BitComet电驴下载专用插件）
    核心改进：BT任务支持电驴上传，可向其它ED客户端共享文件
    核心改进：自动向Windows防火墙和UPNP NAT网关添加电驴监听端口
    核心改进：外网用户自动禁用内网互连，提高TCP传输效率
    核心修正：满足条件后自动停止BT下载任务的功能在某些情况下失效
    核心修正：HTTP/FTP下载超大文件时，在Win2003 64位操作系统下5分钟一次的自动存盘会造成界面长时间无响应

v0.89    2007.5.31
    界面改进：种子市场他人共享列表右键菜单添加了"不再显示"命令，可屏蔽不希望再次显示的种子文件
    界面改进：种子市场他人共享列表右键菜单添加了"复制名称"命令
    界面改进：种子市场他人共享列表里鼠标双击已下载的种子文件，可查看对应的任务
    界面改进：种子市场我的共享列表添加了新图标表示已共享, 未下载的种子文件，并在气泡里显示详细信息
    界面改进：种子市场他人共享筛选输入框改进，连续输入多个字符时，只刷新一次种子文件列表
    界面改进：种子市场他人共享列表自动刷新时，可以保持刷新前选中的条目仍然处于选中状态
    界面改进：选项里禁用种子市场后，种子市场列表不再显示任何种子文件
    界面改进：选项里默认的种子市场列表显示数量改为"不限制"
    界面改进：选项里添加TCP连结发起间隔设置项
    界面修正：种子市场他人共享使用筛选后，排序失效、操作错位
    界面修正：跨越凌晨0点时，历史任务列表任务数目统计没有刷新
    界面修正：当输入焦点在任务摘要窗格时，文件菜单"打开BC链接"命令失效
    界面修正：任务列表单上传速度在上传限速时显示错误
    核心修正：BT任务没有下载流量，只有上传流量时，分享率始终为0。改为这种情况下分享率=上传字节数/任务大小

v0.88    2007.5.24
    界面改进：添加了程序启动时验证登陆密码的功能，可在选项对话框高级设置里设置密码
    界面改进：选项对话框界面外观选项页里可设置软件启动时默认显示的任务相关信息页面
    界面改进：选项对话框添加了始终设置BitComet为IE默认下载工具的设置项
    界面改进：选项对话框添加了启用种子市场、种子市场列表最大长度的设置项
    界面改进：原有的打开BCTP链接对话框改名为打开BC链接对话框，精简了界面，可由BC链接直接创建HTTP/FTP/BT任务
    界面改进：任务列表右键菜单添加了复制任务BC链接到剪贴版的菜单项，快捷键为Ctrl+C
    界面改进：任务列表添加了截图信息栏
    界面改进：任务列表每个任务名称左边的图标添加了气泡提示，鼠标悬浮时可显示任务当前状态
    界面改进：鼠标悬浮在任务列表下载速度、下载进度、种子数目上面时会弹出气泡显示该任务的上传速度、剩余时间、健康度
    界面改进：任务列表默认隐藏了上传速度、剩余时间、健康度3列信息（可在视图菜单里恢复）
    界面改进：任务处于停止状态时，即使未下载完成也可以进行重命名操作
    界面改进：种子市场他人共享列表里鼠标双击即可下载任务
    界面改进：种子市场他人共享列表添加了健康度信息栏
    界面改进：种子市场他人共享列表已下载信息栏添加了新的图标表示种子文件是否已加入我的共享列表，鼠标悬浮在图标上时可显示详细信息
    界面改进：种子市场他人共享列表工具栏添加了自动刷新选框
    界面改进：种子市场我的共享列表工具栏添加了全部共享选框
    界面改进：改进了全局统计显示界面
    界面改进：打开torrent文件新建BT任务时，若保存位置已存在同名文件，将显示提示对话框
    界面改进：BT任务/HTTP任务属性对话框改进了保存位置路径合法性检查，支持将文件下载到网络共享文件夹
    界面改进：新建BT任务/HTTP任务下载超过4GB的文件时，若保存在非NTFS分区，将显示气泡提示用户
    界面改进：BT任务/HTTP任务下载过程中若发生磁盘满错误，将在系统托盘上弹出气泡提示
    界面改进：若BitComet界面长时间失去响应，将显示对话框提示用户关闭程序并发送错误报告
    界面改进：主窗口状态栏上的内外网状态检测指示灯添加了右键菜单，网络配置改变后可选择重新检测
    界面改进：去掉选项对话框里的不常用设置项
    界面改进：悬浮窗可以自动记忆窗口大小、位置
    界面修正：没有正常关闭BitComet就直接关闭电脑后，下次程序运行时无法自动启动还没有下载完成的任务
    界面修正：BT任务摘要里的平均下载速度在任务停止后被清零
    界面修正：种子市场列表里的评论数、截图数没有及时刷新
    界面修正：种子市场列表排序后操作错位
    界面修正：切换分辨率后种子市场和通行证信息框的工具栏字体设置错误
    界面修正：种子市场刷新过于频繁导致CPU占用较高
    核心修正：个别情况下程序崩溃

v0.87    2007.5.7
    界面改进：打开torrent文件时，在任务属性对话框可直接将任务加入种子市场我的共享列表
    界面改进：种子市场我的共享列表右键菜单增加了查看种子文件对应任务的操作
    界面改进：种子市场他人共享列表在工具栏上添加了筛选功能
    界面改进：收藏夹里的种子市场他人共享节点会显示找到的种子文件数目
    界面改进：添加全局选项对话框BT任务设置栏，可启用允许BT任务访问服务器查询HTTP/FTP辅助下载源
    界面改进：文件菜单增加了任务列表和全局选项导入导出功能
    界面改进：任务列表右键菜单增加了任务重命名功能
    界面改进：当磁盘空间不足等情况造成任务运行出错时，只要把鼠标悬浮在任务名称左边的红叉图标上，就会在气泡里显示详细的错误信息
    界面改进：当鼠标悬浮在任务列表的评论区域上时，会在气泡里显示该任务的评分和评分人数
    界面改进：新加快捷键：Ctrl+Home/End 将选中的任务移动到任务列表头/尾
    界面改进：转动鼠标滚轮可自动对鼠标所在位置处的视图进行翻页操作
    界面改进：选项对话框里添加了允许自动上传视频文件截图的设置项
    界面改进：新增防范局域网ARP欺骗攻击的功能，可在选项对话框里启用
    界面改进：全新设计的BitComet资源浏览器，可以提高从BitComet中浏览网页的加载速度。移除了原来的BitComet内嵌网页浏览器，增强BitComet稳定性。
    界面改进：优化了任务摘要显示的信息
    界面改进：Windows任务栏上的BitComet窗口按钮右键菜单添加了"最小化到系统托盘"操作
    界面改进：删除任务对话框里的删除下载文件选项改用红色字体显示
    界面修正：切换界面显示语言后，"视图/下载列表/显示列"子菜单失效
    界面修正：启用低于指定下载速度就自动启动排队中的任务时，会造成所有任务都显示为在排队
    界面修正：当任务列表显示的不是回收站里的任务时，回收站右键菜单里的清空回收站命令会删除当前所有任务
    核心修正：修复了个别情况下的内存泄漏
    核心修正：不能正确处理某些BT任务中的0字节文件

v0.86    2007.4.4
    界面改进：新加种子市场功能，可在收藏夹里查看我的共享和他人共享
    界面改进：制做torrent文件时可同时计算出文件对应的ED2K链接
    界面改进：BT任务属性对话框添加了保存位置选择方式按钮，可选择使用默认路径或按类别选择目录
    界面改进：HTTP任务属性对话框添加了当原网址无法访问时，从镜像地址下载的选项
    界面改进：torrent文件制作对话框和BT任务属性对话框去掉了任务内容简介相关操作
    界面改进：下载全部链接对话框添加了标记高亮按钮，筛选按钮新添了下拉菜单
    界面改进：选项对话框网络连接页面里可设置BitComet为服务器模式, 支持更多连接但是不能精确限速
    界面改进：改进了主窗口工具栏的搜索输入框
    界面改进：选择在BitComet中浏览网页时，将新开窗口显示网页，不再影响主窗口显示内容
    界面改进：HTTP方式下载回torrent文件后，自动启动BT下载
    界面改进：BT任务文件列表可显示每个文件搜索到的HTTP/FTP下载源数量
    界面改进：预览时PageUp/PageDown, Ctrl+Left/Right, Alt+Left/Right 分别快进10秒，30秒，120秒
    界面改进：预览时状态栏显示会已缓冲的时间长度
    界面改进：BT/HTTP任务属性对话框在点击确定按钮时，将检查用户输入的保存路径/文件名合法性
    界面修正：BT任务用户列表中拒绝用户连接的功能有时会失效
    界面修正：任务运行时防止系统进入待机状态在Windows Vista下失效
    界面修正：任务较大或下载速度较慢时，剩余下载时间显示错误
    核心改进：新加种子市场功能，可查看、下载其他用户共享的torrent文件（重要更新）
    核心改进：支持HTTPS链接下载
    核心改进：BT任务的P2SP功能支持FTP下载
    核心改进：改进了SHA1算法，降低了CPU占用率
    核心改进：改进了内网互连处理算法，降低了CPU占用率
    核心修正：Windows2000下upnp.exe启动报错

v0.85    2007.3.19
    界面改进：制做Torrent文件时可选择大文件按任务分块大小对齐，以改善选择文件下载性能
    界面改进：制做Torrent文件时可选择允许用户自动搜索该任务的HTTP/FTP下载源
    界面改进：BT任务属性对话框可选择允许搜索该任务的HTTP/FTP下载源
    界面改进：任务列表添加了历史任务筛选功能，可按创建时间排序显示任务
    界面改进：改进了删除任务对话框，可删除任务已下载的文件，但将任务保留在回收站中
    界面改进：选项对话框添加了允许BT任务访问P2PCache服务器的选项(需要ISP支持)
    界面改进：任务摘要里添加了任务创建日期、任务完成日期
    界面改进：改进了任务分块图表显示效果，支持鼠标滚轮翻页
    界面改进：添加了右侧内容介绍边拦，可在视图菜单里切换
    界面改进：主窗口最小化时改为缩小到任务栏，系统托盘图标改为始终显示
    界面改进：任务列表栏宽过小时，自动在气泡提示中显示鼠标所在位置的完整文字信息
    界面改进：通行证窗口添加了搜索工具栏
    界面改进：改进了剪贴板监视功能，只监视指定文件类型的链接
    界面改进：添加了遨游(Maxthon)浏览器插件支持
    界面改进：恢复在BitComet中浏览网页的选项
    界面改进：在资源管理器打开任务保存目录时，自动选中下载的文件
    界面修正：修正了读取某些网站cookie信息不完整导致HTTP下载失败的问题
    界面修正：修正了同时启动多个BT任务完整性检查时，没有排队进行的问题
    界面修正：修正了任务列表右键菜单文件移动到其它位置失效的问题
    界面修正：修正了BHO造成IE中某些特殊语种输入法失效的问题
    核心改进：BT下载添加了P2SP功能，可自动寻找HTTP/FTP下载源加速下载（重要更新）
    核心改进：BT任务制做和下载模块添加了大文件按任务分块大小对齐功能，以改善选择文件下载和HTTP/FTP下载源下载性能
    核心修正：修正了一个P2P方式进行多点下载时可能的崩溃问题
    核心修正：修正了一个接收到错误的UDP包导致软件崩溃的问题
    核心修正：修正了torrent种子中的文件名存在非法字符时的命名问题，避免文件保存失败
    核心修正：修正了HTTP1.0协议GZIP问题，解决了部分tracker连接失败的问题
    核心修正：修正了BCTP创建的BT任务在torrent文件未下载完时无法正确保存，导致下次程序启动时丢失的问题
    核心修正：修正了无法连接某些FTP服务器的问题

v0.84    2007.2.8
    界面改进：添加了任务分块图表，可显示详细的任务分块下载状态
    界面改进：增强了预览之前的视频解码器版本检查功能，移除了额外的视频解码器设置向导程序
    界面改进：添加了剪贴板监视功能，可在悬浮窗菜单里启用
    界面修正：修正了开启预览窗口后，无法正常从资源管理器里打开torrent文件的问题
    界面修正：修正了全局统计中UPNP操作结果没有显示的问题
    界面修正：修正了按老板键后没有隐藏悬浮窗的问题
    核心修正：修正了某些情况下BT任务上传过慢的问题
    核心修正：修正了HTTP下载处理Web服务器GZIP编码中的问题

v0.83    2007.2.4
    界面改进：HTTP任务属性对话框新添"寻找更多用户加速下载"选项
    界面改进：批量添加HTTP任务对话框加入了快捷键Ctrl+R, 可将选中的文字替换为通配符"(*)"
    界面改进：从IE页面拖动URL到悬浮窗口时，可自动填写好新建下载任务的引用页面地址
    界面改进：改进了悬浮窗口流量图及气泡提示
    界面改进：改进了IE右键菜单，可方便的下载页面中的特定内容
    界面改进：任务列表添加了任务评论和预览状态两列信息
    界面改进：主窗口状态栏添加了外网IP及网络状况显示，可表明外网用户能否连接本机监听端口，方便检查防火墙及NAT网关是否已经正确配置
    界面改进：增强了RSS列表显示功能
    界面改进：选项对话框里添加了允许网络状况自动检测的设置项
    界面改进：选项对话框里添加了允许任务统计信息提交的设置项
    界面改进：支持在FireFox中使用右键菜单下载链接
    界面改进：移除在BitComet中浏览网页的选项
    界面修正：修正了任务列表右键菜单"种子另存为"功能在某些情况下会错误地将另一任务种子文件保存的问题
    界面修正：修正了任务列表排序操作索引错位的问题
    界面修正：修正了下载全部链接筛选对话框里链接列表中没有显示链接名称的问题
    界面修正：修正了Windows Vista下悬浮窗显示错误的问题
    界面修正：修正了取消批量添加HTTP任务后，任务列表没有刷新的问题
    界面修正：修正了切换任务列表中选中的任务时，HTTP任务信息刷新的问题
    核心改进：HTTP下载添加了P2P功能，可自动寻找更多用户加速下载（重要更新）
    核心改进：启用重写的内网互连模块，使用加密连接提高了安全性（重要更新）
    核心改进：改进了视频播放模块的稳定性，视频解码器的非法操作不会再造成BitComet主程序退出
    核心修正：修正了部分Web服务器重启后，下载该站点HTTP任务断点续传失败的问题

v0.82    2007.1.19
    界面改进：任务下载完成时添加了声音提示，可在选项对话框中设置
    界面改进：调整了悬浮窗和系统托盘图标的右键菜单，添加了新的操作命令
    界面改进：批量添加下载任务时，添加了等待对话框显示处理进度
    界面修正：修正了任务运行时减少排队任务数量，会造成排队任务启动顺序不正常的问题
    界面修正：修正了0.80版win98/me下xml文字显示为乱码的问题
    界面修正：修正了0.81版win98/me下程序无法启动的问题
    核心改进：NAT端口映射和Windows防火墙操作独立到附件程序中进行，降低了CPU占用率
    核心修正：修正了BT任务预览时点击停止按钮造成预览窗口失去响应的问题

v0.81    2006.12.27
    界面改进：添加了悬浮窗界面，用于显示下载状态，并可拖动网页内容和文件到悬浮窗上以开始下载
    界面改进：新建HTTP任务对话框添加了文件大小和服务器断点续传支持查询功能，可在选项对话框HTTP页面中设置
    界面改进：收藏夹任务队列节点名称右侧可显示该类别的任务数目
    界面改进：重新设计了任务列表里HTTP任务在各种状态下显示的图标
    界面改进：批量添加HTTP下载对话框添加了链接数目统计
    界面修正：修正了默认浏览器为FireFox时，从BitComet中无法打开网页的问题
    核心改进：添加了自动回收内存功能，可在选项对话框高级页面中设置
    核心改进：兼容Windows Vista，可捕获IE7中的链接下载

v0.80    2006.12.15
    界面改进：全新设计的HTTP任务属性对话框
    界面改进：可通过工具栏、任务右键菜单启动HTTP任务视频预览功能
    界面改进：支持在英文Windows中正确显示含中文文件名的http链接
    界面改进：启用了"点击关闭按钮最小化到系统托盘"设置时，任务栏按钮右键菜单将显示相应功能
    界面改进：选项对话框任务设置页面添加了"为预览而优化下载"的设置项
    界面改进：任务右键菜单添加了文件移动到"桌面"和"我的文档"功能
    界面改进：使用BitComet下载torrent文件后，可立即设置新建的torrent任务属性
    界面改进：附件工具Flv播放器支持Windows2003下正常运行
    界面改进：附件工具Flv播放器修正了部分文件不能拖动播放进度的问题
    界面修正：修正了HTTP任务属性对话框里的描述信息在用户修改后没有保存的问题
    界面修正：修正了HTTP下载链接筛选对话框在应用了过滤条件后，选中任务数目统计没有刷新的问题
    界面修正：修正了BitComet中调用Flv播放器无法打开路径中含有空格的flv文件进行播放的问题
    核心改进：HTTP下载任务支持视频预览功能，可边下载边播放（重要更新）
    核心改进：支持在英文Windows中下载含有中文文件名的http链接
    核心改进：可以在任务运行时动态改变HTTP下载连接数目
    核心修正：修正了有任务运行时减少同时下载任务数目设置会造成程序无响应的问题

v0.79    2006.11.30
    界面改进：切换任务类别时任务列表刷新更加流畅
    界面修正：修正了0.78中启动BT任务时刷新任务日志造成的程序崩溃问题
    核心修正：修正了对某些不规范的HTTP协议数据包的处理

v0.78    2006.11.29
    界面改进：改进了删除任务确认对话框
    界面改进：选项对话框添加了代理服务器设置页面
    界面改进：HTTP任务属性对话框添加了按照不同规则重命名文件的功能
    界面改进：增强了下载网页全部链接和网页内视频文件的功能，可导入网页中的FLASH动画文件(.swf)
    界面改进：右键点击任务列表标题可选择要显示的栏目
    界面改进：点击主窗口关闭按钮的默认操作改为最小化窗口
    界面修正：修正了HTTP任务属性对话框按Tab键时的焦点转移顺序
    界面修正：修正了导入下载链接操作中检测到URL重复的HTTP任务时，重新下载按钮失效的问题
    界面修正：修正了下载速度为零时，下载剩余时间显示为零的问题
    核心改进：添加了通过HTTP、SOCK4、SOCK5代理服务器进行连接的功能
    核心改进：增强了下载网页内视频文件的功能, 并对主流视频网站提供了优化
    核心改进：改进了对Rmvb文件版本和Real视频解码器版本的检测算法，减少了播放Rmvb文件时出错的可能性
    核心修正：修正了无法从某些FTP服务器下载文件的问题

v0.77    2006.11.18
    界面改进：任务分类列表添加了回收站，用于保存临时删除的任务
    界面改进：工具栏、任务列表右键菜单、Delete快捷键都添加了将任务放到回收站的命令
    界面改进：添加了捕获IE文件下载的功能
    界面改进：选项对话框HTTP/FTP下载设置页面可指定IE文件下载监视的文件类型
    界面改进：添加了在IE右键菜单中使用BitComet下载本页视频的功能
    界面改进：工具栏添加了搜索输入框
    界面改进：改变主窗口大小时，自动调整分割条位置以保持最佳窗口布局
    界面改进：鼠标悬停在工具栏按钮上时，主窗口状态栏提示文字将显示为当前语言
    界面改进：下载全部链接的筛选对话框添加了连接数目统计
    界面改进：新增附件工具：Flv播放器
    界面修正：修正了0.76中切换界面语言时，任务列表窗口清空后没有刷新的问题
    核心改进：HTTP下载添加了自动查找镜像站点的功能
    核心改进：添加了下载网页内视频文件的功能
    核心修正：修正了0.76中选择BT任务部分文件下载时可能出现的程序崩溃问题

v0.76    2006.11.7
    界面改进：选项对话框添加了时段限速设置功能
    界面改进：选项对话框BT任务设置页面添加了单任务上传默认限速的设置
    界面改进：工具栏添加了新建HTTP/FTP下载任务按钮
    界面改进：主窗口状态栏显示任务总数及选中的数目
    界面修正：修正了某些情况下IE中调用BitComet下载时BitComet主窗口没有切换到前端显示的问题
    界面修正：修正了防止系统进入待机、休眠状态的功能在没有任务运行时仍然有效的问题
    核心改进：改进了内存分配策略，有效防止长时间运行程序造成的内存累积占用
    核心修正：修正了0.75中某些情况下文件下载不完整的问题

v0.75    2006.10.24
    界面改进：文件菜单添加了下载HTTP/FTP链接以及批量下载的功能
    界面改进：选项对话框添加了HTTP/FTP下载设置页面
    界面改进：添加了在IE右键菜单中使用BitComet下载的功能
    界面改进：新建下载任务之后，如果当前显示的是已下载任务列表，则自动切换到正在下载任务列表
    界面改进：选项菜单的编辑语言文件对话框里可填写翻译者信息
    界面改进：任务属性对话框里的内容简介页面添加了清除按钮
    界面改进：选项对话框TCP/IP连接限制页面里的连接数上限最大可设置为500
    界面修正：修正了0.74中文件列表里无法打开非可执行文件的问题
    界面修正：修正了任务完成时，任务托盘提示气泡的文字缩进错误和显示时间错误
    核心改进：添加了HTTP/FTP多点下载功能
    核心改进：添加了HTTP/FTP多点下载磁盘缓冲功能
    核心修正：修正了0.74中个别情况下文件读写操作导致程序崩溃的问题

v0.74    2006.10.14
    界面改进：针对不同分辨率设置了默认的窗口布局和列表分栏宽度
    界面改进：默认使用IE打开网页，工具栏不显示浏览按钮
    界面修正：修正了没有正确设置杀毒软件路径时，任务下载完成会弹出资源管理器窗口的问题
    界面修正：修正了任务列表每5分钟自动存盘功能失效的问题
    界面修正：修正了选择多个任务进行"文件移动到其它位置"操作时，只有第一个任务被移动的问题
    核心修正：修正了0.73中某些情况下文件下载不完整的问题

v0.73    2006.9.25
    界面改进：添加了下载完成后调用杀毒软件检查病毒的功能
    界面改进：添加了打开已下载的可执行文件时，提示检查病毒的功能
    界面改进：任务列表和文件列表的鼠标右键菜单里添加了检查病毒的菜单项
    界面改进：选项对话框添加了查毒软件设置页面
    界面改进：添加了界面语言翻译对话框
    界面改进：改变任务分类设置时，可同时移动任务的下载文件到新分类所属文件夹
    界面改进：BT任务属性对话框添加了任务类别设置
    界面改进：BT任务属性对话框添加了单个任务上传、下载限速的选项
    界面改进：添加了打开BCTP链接时不显示确认对话框的选项
    界面改进：移除了主窗口状态栏上的键盘大小写锁定、数字锁定、滚动锁定状态显示
    界面修正：修正了打开torrent文件时，剩余磁盘空间显示错误的问题
    界面修正：修正了在Windows2003中默认同时发起连接数过小的问题
    核心改进：添加了单个BT任务上传、下载限速的功能
    核心修正：修正了启用上传、下载限速功能时，CPU占用过高的问题

v0.72    2006.9.16
    界面改进：改变任务分类设置时，可同时移动任务的下载文件到新分类所属文件夹
    界面改进：改进了任务列表刷新缓慢的问题
    界面改进：添加了任务列表排序功能
    界面改进：添加了BCTP链接里指定下载部分文件的功能
    界面修正：修正了在任务列表里使用鼠标框选任务时，在任务发布者信息区域松开鼠标按键会打开发布者网页的问题
    界面修正：修正了0.71版UPNP网关端口映射失效的问题
    界面修正：修正了0.71版主窗口最小化到系统托盘时，气泡提示里面显示的任务下载速度错误的问题
    界面修正：修正了0.71版主窗口最小化到系统托盘时，任务下载完成时显示气泡提示失效的问题
    界面修正：修正了0.71版进行视频播放时，在主窗口停止任务会导致程序崩溃的问题

v0.71    2006.9.2
    界面改进：主窗口左下方添加了BC通行证登陆界面
    界面改进：选项菜单添加了"BC通行证登陆"、"修改用户资料"功能
    界面改进：任务列表右键菜单添加了"文件移动到..."功能，在任务停止状态下可改变下载文件保存位置
    界面改进：收藏夹里的"已下载"任务列表添加了右键菜单，可进行任务分类管理
    界面改进：任务列表右键菜单添加了"设置所属分类"、"定位所属分类"功能
    界面改进：改进了任务列表显示算法，降低了CPU占用率
    界面改进：在选项对话框里新加了修改Windows XP SP2 里 TCP 发起连接数限制的功能
    界面改进：选项对话框重新设计了"自动停止任务"的设置项
    界面改进：去掉任务暂停、继续操作
    界面改进：去掉"全局日志"窗口，相关信息合并到"全局统计"窗口
    界面改进：改进了错误报告发送程序，无需发送Email，直接发送到服务器
    界面修正：修正了从BitComet内置浏览器点击BCTP链接后，没有正确进行解码显示的问题
    界面修正：修正了视频播放窗口缓冲完成后开始播放时，广告网页里的音乐没有停止的问题
    核心改进：xml文件操作不再需要微软的MSXML组件, windows98下无需安装MSXML3
    核心改进：修改了文件分块请求算法，增加了在线视频播放的启动速度
    核心改进：改进了程序异常退出时的错误检测机制，错误报告可以捕获更多类型的程序运行时错误
    核心改动：聊天、代理、内网互连、IP过滤功能暂时被屏蔽
    核心改进：重写内核

v0.70    2006.6.24
    界面修正：修正了编译选项配置错误导致在部分操作系统下程序无法启动的问题

v0.69    2006.6.23
    界面改进：预览窗口在开始播放之前的缓冲过程中，也会在信息栏中显示下载速度等信息
    界面改进：更新软件论坛网址
    界面修正：修正任务属性对话框常规类别、内容简介类别中的控件大小、位置动态调整功能
    界面修正：修正任务属性对话框高级设置类别中的上传限速编辑框步进按钮失效问题
    界面修正：修正用户列表在极偶然的情况下不显示任何用户的问题
    界面修正：改进bctp链接解析算法, 能够正确处理在firefox中打开bctp链接的情况
    核心改进：改进预览时数据缓冲调度算法，数据少于50%时暂停播放开始缓冲，到达100%时恢复播放
    核心改进：改进预览时的piece请求算法，减少了缓冲等待的几率，增强了播放的连贯性
    核心改进：增强了预览时对视频解码器的错误检测，大多数情况会自动调用视频解码器设置向导修正错误
    核心修正：修正了预览播放时由于缓冲等待造成的视频、音频不同步问题
    核心修正：修正了处理某些不规范的HTTP协议数据包可能导致的程序异常退出的问题

v0.68    2006.5.29
    界面修正：修正了0.67版中"添加任务时不显示提示窗口"选项失效的问题
    界面修正：修正了显示某些格式不规范的rss条目时可能导致的程序异常退出的问题
    核心改进：改进选择文件下载算法，降低了在任务运行状态下改变文件下载优先级导致相邻文件边界数据重复下载的几率
    核心修正：修正了处理某些不规范的HTTP协议数据包可能导致的程序异常退出的问题
    核心修正：修正了处理某些不规范的加密协议数据包可能导致的程序异常退出的问题

v0.67    2006.5.10
    界面修正：修正了0.66版中打开torrent文件发生路径错误和解码错误时，提示文字不正确的问题
    界面修正：修正了可能错误更新BitComet工具栏配置文件的问题
    界面修正：改进了视频解码器设置向导对Real文件解码器的检测算法
    核心改进：增强了ICF/UPNP端口映射功能
    核心修正：修正了0.66版中部分协议解析处理可能导致的程序异常退出的问题

v0.66    2006.4.27
    核心改进：改进了程序异常退出时的错误检测机制，错误报告可以捕获更多类型的程序运行时错误
    核心修正：修正了0.65版中显示聊天消息可能导致的程序异常退出的问题

v0.65    2006.4.25
    界面改进：增加IE收藏夹
    界面修正：修正了点击地址栏转到按钮没有打开正确网页的问题
    界面修正：修正了在显示无法打开监听端口的错误提示框时，打开torrent文件会造成程序崩溃的问题
    界面修正：修正了读取某些格式不规范的rss链接时会造成程序崩溃的问题
    界面修正：修正了没有显示任务内容简介时，切换任务列表中选中的任务时仍然会在后台加载对应的任务内容简介网页的问题
    界面修正：修正了0.64版中torrent文件制作对话框没有自动显示上次填写的tracker url的问题
    界面修正：修正了0.64版中任务暂停时，无法打开任务属性窗口的问题
    界面修正：修正了预览窗口最小化后，播放会暂停的问题
    界面修正：修正了切换程序界面语言时，频道、搜索、IE收藏夹切换按钮文字没有更新的问题
    核心改进：添加自动开启Windows XP SP2中Windows Firewall监听端口的功能
    核心改进：重新启动任务时，立即开始尝试重新连接以前的用户，不再等待Tracker连接成功后才开始连接用户
    核心修正：修正了0.64版中一段时间之内拒绝Peer连接功能失效的问题

v0.64    2006.4.10
    界面改进：添加"任务内容简介"，可显示torrent文件里指定的的内容简介。
    界面改进：Torrent文件制作可添加任务内容简介。
    界面改进：添加设置项，可选择BitComet启动时默认显示任务内容简介或任务摘要。
    界面改进：添加RSS读取功能，收藏夹中可加入RSS链接。
    界面修正：聊天界面用户列表暂时移除
    核心修正：修正了下载预览时点击停止播放按钮后播放按钮失效的问题
    核心修正：修正了下载预览时avi/rm文件播放无法连续快进的问题

v0.63    2006.3.4
    界面修正：改进了dde操作，修正了某些时候在内嵌网页视图浏览器中下载torrent文件后无法正常打开文件的问题
    核心改进：去除旧版协议头加密，增加全新的传输协议加密机制，兼容Azureus和uTorrent的协议加密算法

v0.62    2006.2.14
    界面改进：重新设计频道导航界面
    界面改进：调整内嵌网页浏览器工具栏位置
    界面改进：播放wmv/rmvb格式的http/mms/rtsp流媒体时显示详细的下载缓冲进度
    界面修正：修正了BitComet内嵌网页浏览器在某些时候无法正确处理bctp链接的问题
    界面修正：修正了通过http链接下载torrent启动任务后，任务名称显示成链接地址的问题
    界面修正：修正了DHT下载torrent文件完成后，某些情况下任务状态会显示为下载失败的问题
    核心改进：用户收藏夹数据文件由.\fav\my_fav.xml 改为.\Favourite.xml
    核心改进：取消5Q限速策略
    核心修正：修正了完整性检查时退出导致异常错误的问题
    核心修正：修正WMP版本判断不完善导致程序启动时异常退出的问题
    核心修正：修正了DHT下载torrent文件完成后，删除该任务可能导致的内存访问冲突问题

v0.61    2006.1.10
    界面改进：新添频道功能
    界面改进：BCTP链接添加了BT任务启动时自动开始预览的选项
    界面改进：BCTP链接添加了播放http/mms/rtsp流媒体的选项
    界面改进：内嵌浏览器支持xp主题风格
    界面改进：内嵌浏览器禁止弹出脚本调试窗口
    界面修正：修正了调用外部IE显示网页时可能导致的缓冲区溢出漏洞(感谢 Fortinet Security Research)
    界面修正：修正了部分界面中剪贴板快捷键失效的问题
    核心改进：BT下载预览功能新增对wmv/asf格式文件的支持
    核心改进：新增播放wmv/rmvb格式的http/mms/rtsp流媒体功能
    核心修正：修正了因允许用户来源交换，可能导致的将private任务加入DHT网络的问题（重要更新）
    核心修正：修正程序退出删除端口映射时遗漏udp映射的问题

v0.60    2005.9.8
    界面改进：新增附件工具：视频解码器安装向导
    界面改进：文件菜单添加打开BCTP/HTTP链接命令
    界面改进：任务属性新增任务BCTP链接显示页
    界面改进：增加老板键设置功能
    界面改进：增加选项以选择是否屏蔽torrent文件下载确认对话框
    界面改进：增加选项以选择是否显示任务删除确认对话框
    界面改进：制作任务时分块大小新增2/4/8MB选项
    界面改进：网页链接可在内部浏览器打开
    界面修正：修正任务列表排序后，多选时删除错位问题
    界面修正：修正win2k自动关机功能
    核心改进：增加视频文件下载过程中预览功能（重要更新）
    核心改进：支持通过BCTP链接从DHT网络下载Torrent文件（重要更新）
    核心改进：增加协议头加密传输选项
    核心改进：增加"优先"使用UDP内网互连选项

v0.59    2005.6.8
    界面改进：增加搜索按钮搜索BT网站
    界面改进：取消"浏览"按钮的下拉菜单
    界面改进：所有连接用外部默认浏览器打开
    界面改进：改进了帮助菜单
    界面改进：状态栏添加DHT网络状态指示小灯
    界面改进：种子文件制作增加3种服务器模式的选项
    界面改进：增加可选搜索工具栏组件
    界面修正：修正设置速度的数字输入处理问题
    核心改进：支持连入DHT网络实现无Tracker下载（重要更新）
    核心改进：ICF/UPNP映射增加UDP端口
    核心改进：支持种子文件的private标记
    核心改进：支持Tracker返回private标记
    核心修正：修正0.57,0.58特有的的UPNP映射问题

v0.58    2005.5.6
    界面改进：添加删除任务确认对话框
    界面改进：任务属性页面里保存位置下拉选单添加了默认下载目录
    界面改进：增加中文xml安装提示对话框
    界面修正：任务完整性扫描线程优先级可调
    界面修正："添加任务不提示窗口"时若任务里有多个文件，则下载位置为默认下载目录的子目录
    界面修正：暂停时禁止修改任务保存位置
    界面修正：自动停止的任务无法上传
    界面修正：修正win98/me自动关机功能
    界面修正：修正dde操作，可直接从ie或资源管理器由torrent文件关联启动bc
    核心改进：任务属性里增加一个peer info exchange enable的选项
    核心修正：UDP tracker的DNS解析造成2秒没有响应
    核心修正：一组tracker中含有的UDP tracker不能连接时不能正确切换
    核心修正：用户桌面锁定时无法自动关机
    核心修正：修正非正常关闭程序时，"启动时自动继续下载上传任务"失效
    核心修正：修正一个连接不稳定时可能造成崩溃的问题

v0.57    2005.3.5
    界面改进：增强了老板键 Alt+`
    界面改进：增强了内嵌的浏览器
    界面改进：任务属性对话框可调整大小或最大化
    界面改进：允许添加任务时不出现提示窗口
    界面改进：打开torrent文件时允许多选
    界面改进：任务列表支持排序
    界面改进：上传任务增加分类管理
    界面改进：增加IE收藏夹
    界面修正：用电池供电时不阻止系统进入挂起/休眠即使该选项已经打开。
    界面修正：修正了IE窗口剪贴板操作无效的问题
    界面修正：当修改torrent编码时存储位置被重置(感谢ericbo)
    界面修正：剩余时间大于24小时的时候显示不正确(感谢u1ookingatme)
    界面修正：Torrent备注中多加空行的问题
    界面修正：最大同时连接发起不能设置得更小的问题
    界面修正：广告菜单语言变化时的重载问题修正
    核心修正：多个任务一起重新检查完整性时，检查完前一个任务不会自动检查下一个任务(感谢njiayu)
    核心修正：UPNP设备/服务查找算法修正
    核心修正：5Q教育网优化
    核心修正：修正了打开下载完成后检查可能导致自动停止失败的问题
    核心修正：任务运行时修改优先级不能正确创建文件目录(感谢maxbkk)
    核心修正：IP规则在内网互连中失效的问题(感谢tianle)
    核心修正：新添任务如果在排队中关闭BC导致优先级设置丢失(感谢hdll)
    核心修正：修正一个上传选择算法中的问题，可能解决部分用户下载过慢的问题
    核心修正：修正了UDP服务期的重试间隔保持10s的问题

v0.56    2004.9.23
    界面修正：当选择多用户后点其它地方导致用户列表界面停止自动更新(感谢邓景仁)
    界面修正：将系统时间向前调产生错误(感谢baul)
    核心改进：自动检测XPSP2下打过补丁的tcpip.sys的设置
    核心改进：进一步改进了内网互连的效率
    核心改进：修正了一个ipfilter.dat的兼容问题(感谢Soorpher)
    核心修正：修正了内网互连导致上传带宽全满的严重问题。（感谢TB的朋友）
    核心修正：退出时如果有任务在等待队列中可能会崩溃(感谢Chi Yeong Teoh的错误报告)

v0.55    2004.9.9
    界面改进：Torrent制作时允许自动分块大小
    界面改进：每次启动的版本检查改成一天只检查一次
    界面修正：更改任务栏锁定导致出现任务栏图标(感谢xl)
    界面修正：修正了一个关闭时可能崩溃的问题。
    界面修正：命令行直接添加任务必须已经开启bc才有效的问题(感谢Yu BOYTHERE)
    界面修正：放置分割栏时可能崩溃(感谢Cytech-May & Punkrawk的错误报告)
    核心改进：增加了分享率到达时自动停止任务，以及自动关机等
    核心改进：增强了内网互连效率，与0.53不兼容
    核心改进：增加了最大同时TCP连接尝试数，减少XPSP2的连接数限制带来的影响
    核心修正：修正最小做种上传速度对下载任务也生效的问题
    核心修正：修正任务停止以后继续连接Tracker的问题(感谢孤波)
    核心修正：更改某些tracker时候可能会崩溃(感谢xx的错误报告)
    核心修正：文件边界写入时可能线程冲突导致崩溃(感谢wluck的错误报告)
    核心修正：退出时如果有任务在等待队列中可能会崩溃(感谢Asem Mohamed的错误报告)
    核心修正：计算速度时可能会崩溃(感谢trudy的错误报告)
    核心修正：修正了运算溢出导致的崩溃。(感谢黄侃的错误报告)
    核心修正：修正了和AZ/Official等种子的过短的超时断开

v0.54    2004.8.21
    界面改进：全局/单任务的至少3KB/s上传规则(感谢DreadWingKnight)
    界面改进：封IP时允许多选(感谢CH)
    界面改进：文件列表中已经下载好的文件没有必要再显示其下载优先级(感谢yowlin)
    界面改进：任务列表里增加"种子文件另存为"
    核心改进：实现内网互连(初步测试中)
    核心改进：将错误报告放入正式版中。
    核心改进：用临时文件夹缓存广告，减少带宽占用，每隔一星期清理一次。
    核心改进：全部任务都上传时不再打开所有通道，而是仅仅向保持连接的部分客户上传
    核心改进：支持UDP Tracker v2
    核心改进：torrent文件编码修正了与Azureus的utf8兼容问题(感谢Henrique Vianna)
    核心变化：因失效去掉备用tracker的缺省值(感谢x)
    核心修正：制作torrent可能不能支持>4G文件的问题
    核心修正：0731测试版的多端口tracker配置导致崩溃的问题
    核心修正：支持多tracker协议的3种格式，分组连接(感谢DreadWingKnight)
    核心修正：HTTP请求HOST的bug，修正nipponsei.levillage.org连接问题(感谢AndyGod)
    核心修正：HTTP重定向bug，修正TorrentBits.org连接问题(感谢HiTechOutlaw)
    核心修正：修正bt.edwardk.info连接问题(感谢fftfelix)
    核心修正：修正了制作种子时忽略空文件的问题(感谢5Q 月影)

v0.53    2004.6.15
    界面修正：修正了很多很多的界面崩溃问题，增加了基本的对内存分配失败的捕捉。
    界面改进：栏目名称和位置调整(感谢stisev)
    界面改进：允许新增任务直接进入暂停状态
    界面改进：对beta版增加错误报告以帮助调试。
    界面改进：制作种子后加载任务并暂停
    界面改进：下载速度超过1MB/s-2MB/s后依然保持运行流畅。(感谢GHOSTOPOST大力帮助)
    界面改进：防止非XP系统的界面闪烁
    界面改进：任务运行时防止进入挂起/休眠
    界面改进：命令行加入参数 /? /s /m /tray /output <file>
    界面改进：选项上直接编辑备用tracker
    核心改进：限制连接发起速度为每秒4个
    核心改进：加入缺省最小做种上传值，避免做种时0上传
    核心改进：队列改进，以及全部暂停、全部继续修正(感谢 Kameraman)
    核心改进：加入下载者组群聊天，支持私聊，并支持聊天室
    核心改进：允许任务完成时自动再次扫描确保完整
    核心改进：防止仅仅向少数Peer上传导致在低上传的环境下(<60k)下载速度下降。
    核心改进：防止下载任务不需要上传，上传任务却没有上传。（感谢ulion）
    核心改进：不影响下载的同时减小向tracker请求的频率，减少tracker的负担。（感谢ulion）
    核心改进：允许手动在一段时间之内拒绝Peer连接
    核心改进：允许根据ipfilter.dat文件(和eMule兼容)封危险IP(感谢Adam Thirnis)
    核心改进：识别发送错误数据的Peer并自动在一段时间之内拒绝Peer连接
    核心修正：对compact模式tracker返回信息分析有误，如greedland
    核心修正：预分配没有立刻分配（感谢windy）
    核心修正：在tracker列表存在时没有添加主tracker（感谢Henry）
    核心修正：修正了UPnP自动端口映射对某些硬件路由器失败的问题（感谢btchina资助购买路由器）
    核心修正：修正了UPnP找不到服务的问题（感谢BK->NEW()）
    核心修正：修正了自动端口映射不能正确释放
    核心修正：删除XML文件,开启BC手动检查,检查完毕之后，点击开始会重复检查（感谢lqbn）
    核心修正：在手动加入任务做种时不会移至上传队列（感谢Kameraman）
    核心修正：自动开始任务如果下载低于无效
    核心修正：扫描时文件边界被不正确忽略，可能修正了循环扫描bug
    核心修正：防止过大的磁盘缓存导致系统内存不足，bitcomet异常退出。
    核心修正：大文件后面的小文件可能100%却字节为0，要等到大文件下载完成才正常。（感谢c-j-z）
    核心修正(重要)：过短的超时导致断开与使用官方内核的种子的连接（感谢ulion）
    核心修正(重要)：可能下载到不完整的文件
    核心修正(重要)：对tracker的端口检查没有响应，导致被部分tracker认为是内网客户。(再次发生 :( )

v0.52    2004.4.23
    界面改进：保存分栏顺序
    界面改进：状态图标区分连接服务器和连接客户。
    界面改进：对在队列中的任务再点一次开始将强制任务开始。（感谢fan_chenwen）
    界面改进：添加新任务改为由上往下堆叠。（感谢Kameraman）
    界面改进：允许BitComet启动时自动开始任务（感谢Kameraman）
    界面修正：同时下载任务数改变不能立刻生效。（感谢windy）
    界面修正：如果最小化到系统托盘然后退出会导致下次工具栏消失。（感谢Terence Tam）
    界面修正：改变Torrent编码后，对于保存位置及备注的部份无效。（感谢kkj，Kameraman）
    界面修正：不选“最小化到托盘”并选择“退出时确认”导致最小化到任务栏后右键关闭提示确认框不显示。（感谢charlesyc）
    界面修正：0字节的文件，其百分比仍旧显示为0.0%。（感谢Kameraman）
    核心改进：下载中尝试为文件预留磁盘空间，从而几乎不产生磁盘碎片
    核心修正：速度统计算法改变，更准确但费资源
    核心修正：重新检查文件完整性后Peer记录消失(感谢Kameraman)
    核心修正：torrent包含0字节文件时，该文件可能没有被创建
    核心修正：删除任务的时候选择同时删除文件会导致下载子目录被全部删除,包括其他文件（感谢流氓诗人）
    核心修正：扫描快结束时可能异常退出并且任务没有正确被启动
    核心修正：Torrent属性里的最小保证上传值有的时候无效

v0.51    2004.4.13
    界面改变：主界面菜单增加广告支持
    界面改进：任务栏气球提示下载完成（win2000以上）
    界面修正：在属性里面的高级页里选上了“最大允许上传值”出现在“下载速度”里。（感谢charlesyc）
    界面修正：当任务栏没有选中的时候，点击工具栏上的查看或属性按钮就会出错退出。（感谢xChiNa）
    界面修正：添加任务的常规页面硬盘剩余空间有误。（感谢spcat2000,happyfa97）
    核心修正：删除任务时错误将本应是0字节的文件删除（感谢Kraken）
    核心改进：新添加任务时允许选择torrent的编码代码页
    核心改进：任务队列的排序按显示顺序，靠上的任务优先启动
    核心改进：解决0.50中torrent内文件过多造成的无响应
    核心修正：停止时没有保存连接信息
    核心修正：无法打开torrent直接做种, 选做种浏览也要扫描（感谢Windforce）
    核心修正：做种或下载完成后依然是读写状态（感谢coolsnowwolf）
    核心修正：对一个任务2次开始导致错误（感谢windy）


v0.50    2004.4.8
    界面改变：支持小图片广告
    界面改进：保存是否显示工具栏的选择（感谢 eblade）
    界面改进：感谢orochi和SiC设计的漂亮的界面
    界面修正：文件选择对话框中右键察看驱动器属性会出错退出。（感谢 littlefoxes）
    界面修正：设置好的版面不能保存。（感谢 KELVEN13）
    核心改进：torrent格式新增发布者信息扩展
    核心改进：每个任务允许独立控制上传速度
    核心改进：增加一个简单的队列系统，允许设置最大同时下载任务数
    核心改进：文件下载优先级控制
    核心修正：随机监听端口不允许大于32767，避免交换机/路由器不支持（感谢 Xing Zhanfeng）
    核心修正：全局统计中流量计数当超过2G后会溢出自动回0（感谢 wpeng）
    核心修正：文件按块分配，不会再卡住，同时减少磁盘碎片
    核心修正：用开启gzip的tracker的时候可能会出现解码错误（感谢 ihf）
    核心修正：上传包大小可调（感谢 易龙一号）
    核心修正：续传其他bt下载会丢失进度

v0.49    2004.3.3
    界面改进：文件改变时提示扫描
    界面改进：Ctrl+Delete 删除任务以及文件
    界面修正：重复加载任务造成任务消失（感谢bigjumbo）
    核心改进：根据下载速度自动调整缓存大小，并将默认最大值设置为50M
    核心改进：修正上传通道控制bug，并为慢速连接优化上传通道控制
    核心改进：自动配置XP的网络共享和防火墙(ICS/ICF)
    核心改进：当仅对Tracker使用http代理时，使用GET方法而不是Connect
    核心修正：未预先分配空间下载时会产生磁盘剩余空间过度减少 (感谢 QQQee)
    核心修正：DSL/Cable用户上传瞬时值太大导致下载速度和其他网络程序受到影响
    核心修正：缓存空的时候可能错误退出
    核心修正：修正了DSL/Cable用户无法使用UPnP自动端口映射的问题（感谢wxhere ~_~）

v0.48    2004.2.18
    界面改进：恢复上一次对收藏夹的选择状态
    界面改进：删除任务和文件时提示确认
    界面改进：Peer列表按IP排序
    核心修正(重要)：做种时连不上用户
    核心修正(重要)：对tracker的端口检查没有响应，导致被部分tracker认为是内网客户。(感谢stanhopea)

v0.47    2004.2.17
    发布后因连接bug撤回，为避免引起混乱，跳过该版本。

v0.46    2004.2.14
    界面改进：下载内容大小超过4G计算有误（感谢Zergling）
    核心修正：仅仅提供上传时可能允许的连接数过少（感谢霸天）
    核心修正(重要)：缓存bug导致很多数据被认为是错误而重复下载

v0.45    2004.2.13
    核心改进：新增一个torrent制作工具，支持utf-8编码
    界面改进：删除时分为“连同文件一起删除”还是仅仅“删除项目”
    界面改进：部分文件有选择的下载的功能增加全选/全取消的右键菜单
    界面改进：增添了工具栏，并略微美化了界面
    界面改进：Ctrl加上下键可以移动任务 ( 感谢 xsintill )
    界面改进：选择下载时完成率按照所选文件完成情况计算。
    核心改进：自动上传通道管理,对不同特点的连接优化速度
    核心改进：删除任务时删除尚未开始下载的文件
    核心改进：当文件I/O错误或磁盘满，停止该文件下载
    核心改进：允许运行时改变下载选择
    核心改进：续传前检查文件是否被改变并提示
    核心改进：优化磁盘缓存交换算法，防止小缓存抖动造成硬盘狂转现象
    核心改进：优化磁盘缓存内存管理，并允许设定最小值，最大值，最小空闲物理内存值
              修正了长时间下载大文件导致系统的剩余物理内存越来越少,系统变得越来越慢的问题
    核心改进：缓存.Torrents文件的时候改名为下载文件的名字并防止重名覆盖
    核心改进：支持Socks4, socks5, http/https代理，允许仅仅对tracker使用代理
    核心修正：同名Torrent会覆盖Torrent目录里的文件造成列表不正常 (感谢 spcat2000)
    核心修正：重复点击同一个torrent并确定造成下载进度归0 (感谢 zeng777)
    核心修正：当选择不下载位于最后的小文件时，上一个大文件会出现下载不完的情况。(感谢Yesherly)
    核心修正(重要)：每隔几分钟可能发送错误的请求REQUEST，导致连接被其他Peer断开

v0.44    2004.1.9
    界面改进：可以辨认BitSpirit和BitTorrent Plus
    核心改进：增加正在连接的Peer统计
    核心修正(重要)：修正了0.43独有的Peer越来越少，速度原来越慢问题
    核心修正(重要)：Peer通信的安全性检查

v0.43    2004.1.5
    制作出Windows 98/Me/2000/XP 通用的单一安装包。
    界面改进：记忆主窗口大小和位置，系统托盘单键激活。(Thanks to 刘巍, lurenyi)
    核心改进：对国内多端口Tracker进行连接优化。
    核心改进：允许禁止读操作缓存。
    核心改进：手动检查完整性时不分配读缓存。
    界面修正：启动和退出时进行UPnP操作时100%的CPU占用。
    核心修正：当保存位置改变时先尝试打开不加.bc!后缀的文件。
    核心修正(重要)：多文件下载时，下载文件名出现.bc!.bc!后缀并导致不能续传。
    核心修正(重要)：当选择不下载torrent文件中的某个小文件时，相邻的文件可能下载不全。且当这个小文件位于第一个时，会非法错误。(Thanks to GDIMk)

v0.42    2004.1.1
之前更新请看英文changelog.txt
